GNU bug report logs - #36611
Installation of a new guix system -- summaries of the issues

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: racin@HIDDEN; dated Fri, 12 Jul 2019 00:54:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 36611 <at> debbugs.gnu.org:


Received: (at 36611) by debbugs.gnu.org; 14 Jul 2019 14:04:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 14 10:04:41 2019
Received: from localhost ([127.0.0.1]:45533 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hmf7J-00067X-KO
	for submit <at> debbugs.gnu.org; Sun, 14 Jul 2019 10:04:41 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60352)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hmf7I-00067J-4T
 for 36611 <at> debbugs.gnu.org; Sun, 14 Jul 2019 10:04:40 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52196)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hmf7D-0001Ke-1Z; Sun, 14 Jul 2019 10:04:35 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=60014 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hmf7C-000217-C3; Sun, 14 Jul 2019 10:04:34 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: racin@HIDDEN
Subject: Disappearing profile?
References: <475952466.1050924121.1562884357218.JavaMail.zimbra@HIDDEN>
 <834194262.1058652910.1562922240277.JavaMail.zimbra@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 26 Messidor an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 14 Jul 2019 16:04:33 +0200
In-Reply-To: <834194262.1058652910.1562922240277.JavaMail.zimbra@HIDDEN>
 (racin@HIDDEN's message of "Fri, 12 Jul 2019 11:04:00 +0200 (CEST)")
Message-ID: <87muhg3e6m.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36611
Cc: 36611 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

racin@HIDDEN skribis:

> (Cross-posting to help-guix as it may be more appropriate)=20

I don=E2=80=99t think it=E2=80=99s necessary.

> 13. My profile disappeared once again and guix package does not work anym=
ore (it says "guix package: error: unsupported manifest format"). I realize=
 that my .guix-profile/etc/profile file has been emptied.=20

What do you mean by =E2=80=9Cmy profile disappeared once again=E2=80=9D?  I=
s the
~/.guix-profile symlink still around?  What does:

  readlink -f ~/.guix-profile

show?

Regarding the =E2=80=9Cunsupported manifest format=E2=80=9D error: what=E2=
=80=99s the content of
~/.guix-profile/manifest?  (You previously posted the contents of
~/.config/guix/current/manifest, but it=E2=80=99s not relevant here.)

In general profiles cannot =E2=80=9Cdisappear=E2=80=9D.  A potential issue =
one may
encounter is that, if you running several =E2=80=9Cguix install=E2=80=9D or=
 =E2=80=9Cguix
package=E2=80=9D commands simultaneously, one of them will =E2=80=9Cwin=E2=
=80=9D, meaning that
work done by the other one is discarded.  However, that cannot lead to
the =E2=80=9Cunsupported manifest format=E2=80=9D error.

Did you happen to run several such commands in parallel?

Thanks in advance,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#36611; Package guix. Full text available.

Message received at 36611 <at> debbugs.gnu.org:


Received: (at 36611) by debbugs.gnu.org; 14 Jul 2019 13:59:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 14 09:59:19 2019
Received: from localhost ([127.0.0.1]:45523 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hmf27-0005xk-JY
	for submit <at> debbugs.gnu.org; Sun, 14 Jul 2019 09:59:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58725)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hmf25-0005xK-F9
 for 36611 <at> debbugs.gnu.org; Sun, 14 Jul 2019 09:59:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52012)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hmf1z-0005WA-CY; Sun, 14 Jul 2019 09:59:11 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=60012 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hmf1y-00080q-SV; Sun, 14 Jul 2019 09:59:11 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Julien Lepiller <julien@HIDDEN>
Subject: Re: bug#36611: Installation of a new guix system -- summaries of the
 issues
References: <475952466.1050924121.1562884357218.JavaMail.zimbra@HIDDEN>
 <834194262.1058652910.1562922240277.JavaMail.zimbra@HIDDEN>
 <4554CC85-A1DE-4E43-BBD6-898B9558FEE7@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 26 Messidor an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 14 Jul 2019 15:59:08 +0200
In-Reply-To: <4554CC85-A1DE-4E43-BBD6-898B9558FEE7@HIDDEN> (Julien
 Lepiller's message of "Fri, 12 Jul 2019 11:29:49 +0200")
Message-ID: <87a7dg4t03.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36611
Cc: help-guix@HIDDEN, racin@HIDDEN, bug-guix@HIDDEN, 36611 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Julien, could you quote only the relevant parts of the message you=E2=80=99=
re
replying to?  TIA!  :-)

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#36611; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Jul 2019 13:59:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 14 09:59:15 2019
Received: from localhost ([127.0.0.1]:45520 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hmf23-0005xT-Bw
	for submit <at> debbugs.gnu.org; Sun, 14 Jul 2019 09:59:15 -0400
Received: from lists.gnu.org ([209.51.188.17]:40249)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hmf21-0005xM-CJ
 for submit <at> debbugs.gnu.org; Sun, 14 Jul 2019 09:59:13 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42839)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <ludo@HIDDEN>)
 id 1hmf20-0007Ci-BQ; Sun, 14 Jul 2019 09:59:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52012)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hmf1z-0005WA-CY; Sun, 14 Jul 2019 09:59:11 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=60012 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hmf1y-00080q-SV; Sun, 14 Jul 2019 09:59:11 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Julien Lepiller <julien@HIDDEN>
Subject: Re: bug#36611: Installation of a new guix system -- summaries of the
 issues
References: <475952466.1050924121.1562884357218.JavaMail.zimbra@HIDDEN>
 <834194262.1058652910.1562922240277.JavaMail.zimbra@HIDDEN>
 <4554CC85-A1DE-4E43-BBD6-898B9558FEE7@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 26 Messidor an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 14 Jul 2019 15:59:08 +0200
In-Reply-To: <4554CC85-A1DE-4E43-BBD6-898B9558FEE7@HIDDEN> (Julien
 Lepiller's message of "Fri, 12 Jul 2019 11:29:49 +0200")
Message-ID: <87a7dg4t03.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: help-guix@HIDDEN, racin@HIDDEN, bug-guix@HIDDEN, 36611 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Julien, could you quote only the relevant parts of the message you=E2=80=99=
re
replying to?  TIA!  :-)

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#36611; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jul 2019 14:12:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 12 10:12:28 2019
Received: from localhost ([127.0.0.1]:40438 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlwHj-0007Mx-Vj
	for submit <at> debbugs.gnu.org; Fri, 12 Jul 2019 10:12:28 -0400
Received: from lists.gnu.org ([209.51.188.17]:57600)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <racin@HIDDEN>) id 1hluqa-0004ze-Ab
 for submit <at> debbugs.gnu.org; Fri, 12 Jul 2019 08:40:21 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40338)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <racin@HIDDEN>) id 1hluqX-0008DK-M9
 for bug-guix@HIDDEN; Fri, 12 Jul 2019 08:40:20 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.3 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,RECEIVED_FROM_WINDOWS_HOST,URIBL_BLOCKED autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <racin@HIDDEN>) id 1hluqV-0001x4-3U
 for bug-guix@HIDDEN; Fri, 12 Jul 2019 08:40:17 -0400
Received: from smtp3-g21.free.fr ([2a01:e0c:1:1599::12]:12151)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <racin@HIDDEN>)
 id 1hluqU-0001sd-Nq; Fri, 12 Jul 2019 08:40:15 -0400
Received: from zimbra109-e19.priv.proxad.net (unknown [172.20.243.130])
 by smtp3-g21.free.fr (Postfix) with ESMTP id DBFA713F846;
 Fri, 12 Jul 2019 14:40:10 +0200 (CEST)
Date: Fri, 12 Jul 2019 14:40:10 +0200 (CEST)
From: racin@HIDDEN
To: bug-guix <bug-guix@HIDDEN>, help-guix <help-guix@HIDDEN>
Message-ID: <703690754.1061562959.1562935210641.JavaMail.zimbra@HIDDEN>
In-Reply-To: <834194262.1058652910.1562922240277.JavaMail.zimbra@HIDDEN>
References: <475952466.1050924121.1562884357218.JavaMail.zimbra@HIDDEN>
 <834194262.1058652910.1562922240277.JavaMail.zimbra@HIDDEN>
Subject: Re: Installation of a new guix system -- summaries of the issues
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="=_2cc9b55d-324c-4849-a65a-63e6d34b0bff"
X-Originating-IP: [132.166.177.50]
X-Mailer: Zimbra 8.8.7_GA_1002 (ZimbraWebClient - FF66 (Linux)/8.8.7_GA_1002)
Thread-Topic: Installation of a new guix system -- summaries of the issues
Thread-Index: SBiljfjiF+ri6Ac36fTUcBQAnNQ84c5a5+JJXDmuqUo=
X-detected-operating-system: by eggs.gnu.org: Windows NT kernel [generic]
 [fuzzy]
X-Received-From: 2a01:e0c:1:1599::12
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 12 Jul 2019 10:12:27 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=_2cc9b55d-324c-4849-a65a-63e6d34b0bff
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello=20

(Julien, Sorry I cannot answer to your email as my provider rejected it for=
 no reason; I read you through the web archives)=20

I checked: fsck does not report any error. It is posssible that I have trie=
d to install several packages in parallel=20
(I do this all the time with apt, but it uses a lock and issues a warning).=
=20

I checked and actually my manifest in .guix-profile is empty. The other, in=
 .config/guix/current, is as follows:=20

(manifest=20
(version 3)=20
(packages=20
(("guix"=20
"f67f93b"=20
"out"=20
"/gnu/store/vz4ri5akjjydgq0x443qcchzhcrxi7cq-guix-f67f93b6d"=20
(propagated-inputs ())=20
(search-paths ())=20
(properties=20
(source=20
(repository=20
(version 0)=20
(url "https://git.savannah.gnu.org/git/guix.git")=20
(branch "master")=20
(commit=20
"f67f93b6d60c898c3125068b468c2a339678916a")))))=20
("nonguix"=20
"5ca352e"=20
"out"=20
"/gnu/store/5fwmnl472wm7wynby4b42ympqrc9v2dh-nonguix"=20
(propagated-inputs ())=20
(search-paths ())=20
(properties=20
(source=20
(repository=20
(version 0)=20
(url "https://gitlab.com/nonguix/nonguix")=20
(branch "master")=20
(commit=20
"5ca352ead269e9037c0314140c2fe7854b3fbe2d"))))))))=20

Thanks,=20
Matthieu=20



De: "racin" <racin@HIDDEN>=20
=C3=80: "bug-guix" <bug-guix@HIDDEN>, "help-guix" <help-guix@HIDDEN>=20
Envoy=C3=A9: Vendredi 12 Juillet 2019 11:04:00=20
Objet: Re: Installation of a new guix system -- summaries of the issues=20

(Cross-posting to help-guix as it may be more appropriate)=20

I now have two additional issues:=20

13. My profile disappeared once again and guix package does not work anymor=
e (it says "guix package: error: unsupported manifest format"). I realize t=
hat my .guix-profile/etc/profile file has been emptied.=20
Maybe I had a problem during an upgrade, but aren't guix upgrades supposed =
to be atomic?=20

14. Also, my X server hangs unless I force the BIOS to use the "discrete ca=
rd", which uses more power. My laptop uses an hyprid intel/nvidia configura=
tion, is this supported by guix?=20

Thanks,=20
Matthieu=20



De: "racin" <racin@HIDDEN>=20
=C3=80: "bug-guix" <bug-guix@HIDDEN>=20
Envoy=C3=A9: Vendredi 12 Juillet 2019 00:32:37=20
Objet: Installation of a new guix system -- summaries of the issues=20

Hi Guix!=20

I have just installed (successfully?) my first guix system!=20

As a newcomer (I know system administration quite well, but never used=20
guix before) I thought that I could share my experience (i.e. issues I=20
had ;)) installing Guix. Probably some of the issues are obvious once=20
you know Guix well, but they aren't when, like me, you don't. I hope=20
using this list for this post is not inappropriate.=20

I did not find any solution for some of the issues yet, so I would=20
also welcome help on those!=20

So, here is the list of issues I had.=20

1. An easy one: on a new computer, you now have to desactive this=20
secure boot thingy, else the live CD won't boot. As I understand it=20
the guix live CD is not "signed", which was the reason why it did not=20
boot (while other live CDs did). This may sound obvious, except for=20
people whose previous computer was still using the BIOS; so maybe it=20
would be worth writing this in the installation instructions?=20

2. I had a lot of trouble understanding how profile worked;=20
consequently I think I installed a lot of versions of different=20
packages, which took ages.=20

After a while, I understood that=20

- guix pull creates a new profile, but is not used by default: why?=20
Similarly, guix kept telling me that I should do=20

# GUIX_PROFILE=3D"/home/matthieu/.guix-profile"=20
# . "$GUIX_PROFILE/etc/profile"=20

So my question is: shouldn't the default .bashrc uses the newest=20
guix command from guix pull, and contain these lines above?=20

- sudo guix system reconfigure /etc/config.scm is very different from=20
sudo su; guix system reconfigure /etc/config.scm.=20

This is written explicitly in the documentation, so that was clear,=20
but I fell into the trap.=20

- guix system reconfigure /etc/config.scm (without sudo) fails at a=20
very late stage. Maybe this command should issue a warning when not=20
run with root rights?=20


3. At one time it seems that my entire user profile disappeared (maybe=20
I shut down my laptop at a wrong time). I had to reinstall every=20
package I had installed with guix package -i.=20

4. I followed the initial exemple configuration of "A graphical system=20
with a choice of lightweight window managers", but it did not contain=20
any terminal emulator.=20

5. I installed Icecat but I am missing some fonts: some websites do=20
not display properly (e.g. numbers do not show up), even if I untick=20
"do not load custom fonts" (unticking this improves things a bit). So=20
I believe some more font package should be installed with icecat.=20

6. I had issues with gdm and lightdm, so I installed the xinit package=20
to start X sessions manually. But it seems that startx/xinit looks for=20
a X server in the same path than the xinit binary, which won't work on=20
guix.=20

7. nm-applet fails with this warning Failed to add/activate connection: (1)=
 Not authorized to control networking.=20
I have to do sudo nm-applet to have it working (but it works well, wifi and=
 wired)=20

8. Is there an equivalent to apt-file, e.g. a way to know in which=20
packages a file would be located? This would be very useful, for=20
instance I had trouble finding where the latex executable is=20
located, or ghc complaining about finding linux/errno.h when I=20
wanted to install xmonad. The problem is even more important for=20
guix, as in other systems the dependencies eventually show up in=20
your profile (e.g. installing texlive-latex-beamer would install=20
the latex binary), whereas in guix you have to explicitely install=20
the right package in Guix.=20

9. nm-applet cannot find the right icon sets, so it uses a "forbidden=20
sign" icon everywhere (which is a bit scary). The error I get is=20

failed to load icon "nm-stage03-connecting11": Icon=20
'nm-stage03-connecting11' not present in theme Adwaita=20

so I guess some icon are missing; I tried to install=20
gnome-icon-theme with no luck.=20

10. My latest problem happened when I tried to install slim (but the=20
problem remains when I switch back to gdm or tried to use a previous=20
system configuration, which surprised me). Now when I boot, I have a=20
"gdm" user that was created and which attemps to log 505 times, which=20
freezes my computer for 2 minutes (I I try to use it at the same=20
times, it hangs). My work-around is to switch to the console and wait=20
that all these unsuccessful connection stops, but this is not=20
ideal...=20

11. Before I found this work-around I tried to fix the problem by=20
booting + chrooting from another OS, a solution I have often used to=20
fix my OS but could not do on guix... Which scares me a bit because I=20
fill that I have no easy way to fix my OS if it was broken. Is there=20
an easy way to do that in guix?=20

12. I also remember that the installer said something like "I will=20
erase the whole disk and you would loose all your data", while I used=20
the manual partitionning scheme and asked to format only one=20
partition, and this was a bit scary.=20

Wow, that was a long list. Obviously I did not write about everything=20
that went well during the installation, so thanks for your hard work!=20
By posting this, I just hope that it will help new users to have less=20
problems to solve in the future!=20

Thanks,=20
Matthieu=20


PS: here is my config.scm file=20

;; This is an operating system configuration generated=20
;; by the graphical installer.=20

(use-modules (gnu))=20
(use-service-modules desktop networking ssh xorg)=20
(use-modules (nongnu packages linux))=20
(use-modules (srfi srfi-1)) ; for remove=20

(operating-system=20
(locale "en_US.utf8")=20
(timezone "Europe/Paris")=20
(keyboard-layout=20
(keyboard-layout "us" "altgr-intl"))=20
(kernel linux)=20
(firmware (cons* iwlwifi-firmware %base-firmware))=20
(bootloader=20
(bootloader-configuration=20
(bootloader grub-efi-bootloader)=20
(target "/boot/efi")=20
(keyboard-layout keyboard-layout)))=20
(file-systems=20
(cons* (file-system=20
(mount-point "/")=20
(device=20
(uuid "7dd68b9b-26ba-47f7-aa82-3469060d2936"=20
'ext4))=20
(type "ext4"))=20
(file-system=20
(mount-point "/boot/efi")=20
(device (uuid "90D1-BAAF" 'fat32))=20
(type "vfat"))=20
%base-file-systems))=20
(host-name "x1")=20
(users (cons* (user-account=20
(name "matthieu")=20
(comment "Matthieu")=20
(group "users")=20
(home-directory "/home/matthieu")=20
(supplementary-groups=20
'("wheel" "netdev" "audio" "video")))=20
%base-user-accounts))=20
(packages=20
(append=20
(list (specification->package "xmonad")=20
(specification->package "awesome")=20
(specification->package "dmenu")=20
(specification->package "tlsdate") ; for initial time adjustment=20
(specification->package "nss-certs"))=20
%base-packages))=20
(services=20
(append=20
(list (service openssh-service-type)=20

(set-xorg-configuration=20
(xorg-configuration=20
(keyboard-layout keyboard-layout)))=20

(service slim-service-type (slim-configuration=20
(display ":0")=20
(vt "vt6")))=20

)=20

(remove (lambda (service)=20
(eq? (service-kind service) gdm-service-type))=20


%desktop-services=20

))))=20


--=_2cc9b55d-324c-4849-a65a-63e6d34b0bff
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><body><div style=3D"font-family: arial, helvetica, sans-serif; font-s=
ize: 12pt; color: #000000"><div>Hello<br></div><div><br data-mce-bogus=3D"1=
"></div><div>(Julien, Sorry I cannot answer to your email as my provider re=
jected it for no reason; I read you through the web archives)<br data-mce-b=
ogus=3D"1"></div><div><br data-mce-bogus=3D"1"></div><div>I checked: fsck&n=
bsp; does not report any error. It is posssible that I have tried to instal=
l several packages in parallel <br data-mce-bogus=3D"1"></div><div>(I do th=
is all the time with apt, but it uses a lock and issues a warning).<br data=
-mce-bogus=3D"1"></div><div><br data-mce-bogus=3D"1"></div><div>I checked a=
nd actually my manifest in .guix-profile is empty. The other, in .config/gu=
ix/current, is as follows:<br data-mce-bogus=3D"1"></div><div><br data-mce-=
bogus=3D"1"></div><div>(manifest<br>&nbsp; (version 3)<br>&nbsp; (packages<=
br>&nbsp;&nbsp;&nbsp; (("guix"<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; "f67f93b"<=
br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; "out"<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; "=
/gnu/store/vz4ri5akjjydgq0x443qcchzhcrxi7cq-guix-f67f93b6d"<br>&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp; (propagated-inputs ())<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
 (search-paths ())<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (properties<br>&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (source<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp; (repository<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (version 0)<br>&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (url "https://git.savannah.gnu.org=
/git/guix.git")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp; (branch "master")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp; (commit<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; "f67f93b6d60c898c3125068b468c2a33967=
8916a")))))<br>&nbsp;&nbsp;&nbsp;&nbsp; ("nonguix"<br>&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp; "5ca352e"<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; "out"<br>&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp; "/gnu/store/5fwmnl472wm7wynby4b42ympqrc9v2dh-nonguix"<br=
>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (propagated-inputs ())<br>&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp; (search-paths ())<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (properti=
es<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (source<br>&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (repository<br>&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (version 0)<br>&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (url "https://gitlab.=
com/nonguix/nonguix")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp; (branch "master")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (commit<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; "5ca352ead269e9037c0314140c2fe=
7854b3fbe2d"))))))))<br data-mce-bogus=3D"1"></div><div><br data-mce-bogus=
=3D"1"></div><div>Thanks,<br data-mce-bogus=3D"1"></div><div>Matthieu<br da=
ta-mce-bogus=3D"1"></div><div><br data-mce-bogus=3D"1"></div><div><br></div=
><hr id=3D"zwchr" data-marker=3D"__DIVIDER__"><div data-marker=3D"__HEADERS=
__"><b>De: </b>"racin" &lt;racin@HIDDEN&gt;<br><b>=C3=80: </b>"bug-guix" &=
lt;bug-guix@HIDDEN&gt;, "help-guix" &lt;help-guix@HIDDEN&gt;<br><b>Envoy=
=C3=A9: </b>Vendredi 12 Juillet 2019 11:04:00<br><b>Objet: </b>Re: Installa=
tion of a new guix system -- summaries of the issues<br></div><br><div data=
-marker=3D"__QUOTED_TEXT__"><div style=3D"font-family: arial, helvetica, sa=
ns-serif; font-size: 12pt; color: #000000"><div>(Cross-posting to help-guix=
 as it may be more appropriate)<br></div><br><div>I now have two additional=
 issues:<br></div><br><div>13. My profile disappeared once again and guix p=
ackage does not work anymore (it says "guix package: error: unsupported man=
ifest format"). I realize that my .guix-profile/etc/profile file has been e=
mptied. <br></div><div>Maybe I had a problem during an upgrade, but aren't =
guix upgrades supposed to be atomic?<br></div><br><div>14. Also, my X serve=
r hangs unless I force the BIOS to use the "discrete card", which uses more=
 power. My laptop uses an hyprid intel/nvidia configuration, is this suppor=
ted by guix?<br></div><br><div>Thanks,<br></div><div>Matthieu<br></div><br>=
<br><hr id=3D"zwchr"><div><b>De: </b>"racin" &lt;racin@HIDDEN&gt;<br><b>=
=C3=80: </b>"bug-guix" &lt;bug-guix@HIDDEN&gt;<br><b>Envoy=C3=A9: </b>Vend=
redi 12 Juillet 2019 00:32:37<br><b>Objet: </b>Installation of a new guix s=
ystem -- summaries of the issues<br></div><br><div><div style=3D"font-famil=
y: arial, helvetica, sans-serif; font-size: 12pt; color: #000000"><div>Hi G=
uix!<br><br>I have just installed (successfully?) my first guix system!<br>=
<br>As a newcomer (I know system administration quite well, but never used<=
br>guix before) I thought that I could share my experience (i.e. issues I<b=
r>had ;)) installing Guix. Probably some of the issues are obvious once<br>=
you know Guix well, but they aren't when, like me, you don't. I hope<br>usi=
ng this list for this post is not inappropriate.<br><br>I did not find any =
solution for some of the issues yet, so I would<br>also welcome help on tho=
se! <br><br>So, here is the list of issues I had.<br><br>1. An easy one: on=
 a new computer, you now have to desactive this<br>secure boot thingy, else=
 the live CD won't boot. As I understand it<br>the guix live CD is not "sig=
ned", which was the reason why it did not<br>boot (while other live CDs did=
). This may sound obvious, except for<br>people whose previous computer was=
 still using the BIOS; so maybe it<br>would be worth writing this in the in=
stallation instructions?<br><br>2. I had a lot of trouble understanding how=
 profile worked;<br>consequently I think I installed a lot of versions of d=
ifferent<br>packages, which took ages.<br><br>After a while, I understood t=
hat<br><br>&nbsp;- guix pull creates a new profile, but is not used by defa=
ult: why?<br>&nbsp;&nbsp; Similarly, guix kept telling me that I should do<=
br><br># GUIX_PROFILE=3D"/home/matthieu/.guix-profile"<br># . "$GUIX_PROFIL=
E/etc/profile"<br><br>&nbsp;&nbsp; So my question is: shouldn't the default=
 .bashrc uses the newest<br>&nbsp;&nbsp; guix command from guix pull, and c=
ontain these lines above?<br><br>&nbsp;- sudo guix system reconfigure /etc/=
config.scm is very different from<br>&nbsp;&nbsp; sudo su; guix system reco=
nfigure /etc/config.scm.<br><br>&nbsp;&nbsp; This is written explicitly in =
the documentation, so that was clear,<br>&nbsp;&nbsp; but I fell into the t=
rap.<br><br>&nbsp;- guix system reconfigure /etc/config.scm (without sudo) =
fails at a<br>&nbsp;&nbsp; very late stage. Maybe this command should issue=
 a warning when not<br>&nbsp;&nbsp; run with root rights?<br><br><br>3. At =
one time it seems that my entire user profile disappeared (maybe<br>I shut =
down my laptop at a wrong time). I had to reinstall every<br>package I had =
installed with guix package -i.<br><br>4. I followed the initial exemple co=
nfiguration of "A graphical system<br>with a choice of lightweight window m=
anagers", but it did not contain<br>any terminal emulator.<br><br>5. I inst=
alled Icecat but I am missing some fonts: some websites do<br>not display p=
roperly (e.g. numbers do not show up), even if I untick<br>"do not load cus=
tom fonts" (unticking this improves things a bit). So<br>I believe some mor=
e font package should be installed with icecat.<br><br>6. I had issues with=
 gdm and lightdm, so I installed the xinit package<br>to start X sessions m=
anually. But it seems that startx/xinit looks for<br>a X server in the same=
 path than the xinit binary, which won't work on<br>guix.<br><br>7. nm-appl=
et fails with this warning Failed to add/activate connection: (1) Not autho=
rized to control networking.<br>&nbsp;&nbsp; I have to do sudo nm-applet to=
 have it working (but it works well, wifi and wired)<br><br>8. Is there an =
equivalent to apt-file, e.g. a way to know in which<br>&nbsp;&nbsp; package=
s a file would be located? This would be very useful, for<br>&nbsp;&nbsp; i=
nstance I had trouble finding where the latex executable is<br>&nbsp;&nbsp;=
 located, or ghc complaining about finding linux/errno.h when I<br>&nbsp;&n=
bsp; wanted to install xmonad. The problem is even more important for<br>&n=
bsp;&nbsp; guix, as in other systems the dependencies eventually show up in=
<br>&nbsp;&nbsp; your profile (e.g. installing texlive-latex-beamer would i=
nstall<br>&nbsp;&nbsp; the latex binary), whereas in guix you have to expli=
citely install<br>&nbsp;&nbsp; the right package in Guix.<br><br>9. nm-appl=
et cannot find the right icon sets, so it uses a "forbidden<br>sign" icon e=
verywhere (which is a bit scary). The error I get is<br><br>&nbsp;failed to=
 load icon "nm-stage03-connecting11": Icon<br>&nbsp;'nm-stage03-connecting1=
1' not present in theme Adwaita<br><br>&nbsp; so I guess some icon are miss=
ing; I tried to install<br>&nbsp; gnome-icon-theme with no luck.<br><br>10.=
 My latest problem happened when I tried to install slim (but the<br>proble=
m remains when I switch back to gdm or tried to use a previous<br>system co=
nfiguration, which surprised me). Now when I boot, I have a<br>"gdm" user t=
hat was created and which attemps to log 505 times, which<br>freezes my com=
puter for 2 minutes (I I try to use it at the same<br>times, it hangs). My =
work-around is to switch to the console and wait<br>that all these unsucces=
sful connection stops, but this is not<br>ideal...<br><br>11. Before I foun=
d this work-around I tried to fix the problem by<br>booting + chrooting fro=
m another OS, a solution I have often used to<br>fix my OS but could not do=
 on guix... Which scares me a bit because I<br>fill that I have no easy way=
 to fix my OS if it was broken. Is there<br>an easy way to do that in guix?=
<br><br>12. I also remember that the installer said something like "I will<=
br>erase the whole disk and you would loose all your data", while I used<br=
>the manual partitionning scheme and asked to format only one<br>partition,=
 and this was a bit scary.<br><br>Wow, that was a long list. Obviously I di=
d not write about everything<br>that went well during the installation, so =
thanks for your hard work!<br>By posting this, I just hope that it will hel=
p new users to have less<br>problems to solve in the future!<br><br>Thanks,=
<br>Matthieu<br></div><br><br><div>PS: here is my config.scm file<br></div>=
<br><div>;; This is an operating system configuration generated<br>;; by th=
e graphical installer.<br><br>(use-modules (gnu))<br>(use-service-modules d=
esktop networking ssh xorg)<br>(use-modules (nongnu packages linux))<br>(us=
e-modules (srfi srfi-1)) ; for remove<br><br>(operating-system<br>&nbsp; (l=
ocale "en_US.utf8")<br>&nbsp; (timezone "Europe/Paris")<br>&nbsp; (keyboard=
-layout<br>&nbsp;&nbsp;&nbsp; (keyboard-layout "us" "altgr-intl"))<br>&nbsp=
; (kernel linux)<br>&nbsp; (firmware (cons* iwlwifi-firmware %base-firmware=
))<br>&nbsp; (bootloader<br>&nbsp;&nbsp;&nbsp; (bootloader-configuration<br=
>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (bootloader grub-efi-bootloader)<br>&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp; (target "/boot/efi")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp; (keyboard-layout keyboard-layout)))<br>&nbsp; (file-systems<br>&nbsp;&n=
bsp;&nbsp; (cons* (file-system<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (mount-point "/")<br>&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (device<br>&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (uu=
id "7dd68b9b-26ba-47f7-aa82-3469060d2936"<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp; 'ext4))<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp; (type "ext4"))<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp; (file-system<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (mount-point "/boot/efi")<br>&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (devi=
ce (uuid "90D1-BAAF" 'fat32))<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (type "vfat"))<br>&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; %base-file-systems))<br>&nbsp; (host-nam=
e "x1")<br>&nbsp; (users (cons* (user-account<br>&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
; (name "matthieu")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (comment "Matthieu")<br>=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp; (group "users")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; =
(home-directory "/home/matthieu")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (supplemen=
tary-groups<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; '("wheel" "netdev" "=
audio" "video")))<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; %base-user-accounts))<br>&nbsp; (packa=
ges<br>&nbsp;&nbsp;&nbsp; (append<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (list (=
specification-&gt;package "xmonad")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (specification-&gt;package "awesome")<br>&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (specificat=
ion-&gt;package "dmenu")<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; (specific=
ation-&gt;package "tlsdate") ; for initial time adjustment<br>&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (specification-&gt;pa=
ckage "nss-certs"))<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; %base-packages))<br>&=
nbsp; (services<br>&nbsp;&nbsp;&nbsp; (append<br>&nbsp;&nbsp;&nbsp;&nbsp; (=
list (service openssh-service-type)<br><br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp; (set-xorg-configuration<br>&nbsp;&nbsp;&nbsp; =
&nbsp;&nbsp;&nbsp; (xorg-configuration<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&n=
bsp;&nbsp; (keyboard-layout keyboard-layout)))<br><br>&nbsp;&nbsp;&nbsp; &n=
bsp;&nbsp;&nbsp; (service slim-service-type (slim-configuration<br>&nbsp;&n=
bsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&=
nbsp;&nbsp; (display ":0")<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&=
nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; (vt "vt6")))<br><br>)<br>=
<br>&nbsp;&nbsp;&nbsp;&nbsp; (remove (lambda (service)<br>&nbsp;&nbsp;&nbsp=
; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (eq? (service-kind service) gdm-serv=
ice-type))<br><br><br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp; %desktop-=
services<br><br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp; ))))</div></div></div></div><br></div></div></=
body></html>
--=_2cc9b55d-324c-4849-a65a-63e6d34b0bff--




Information forwarded to bug-guix@HIDDEN:
bug#36611; Package guix. Full text available.

Message received at 36611 <at> debbugs.gnu.org:


Received: (at 36611) by debbugs.gnu.org; 12 Jul 2019 11:26:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 12 07:26:33 2019
Received: from localhost ([127.0.0.1]:39330 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlthA-00018X-FG
	for submit <at> debbugs.gnu.org; Fri, 12 Jul 2019 07:26:32 -0400
Received: from lepiller.eu ([89.234.186.109]:34700)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1hlth8-00018O-Ez
 for 36611 <at> debbugs.gnu.org; Fri, 12 Jul 2019 07:26:31 -0400
Received: from [10.130.163.205] (62.102.148.69 [62.102.148.69])
 by lepiller.eu (OpenSMTPD) with ESMTPSA id 80ec776f
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Fri, 12 Jul 2019 11:26:22 +0000 (UTC)
Date: Fri, 12 Jul 2019 13:26:21 +0200
User-Agent: K-9 Mail for Android
In-Reply-To: <4554CC85-A1DE-4E43-BBD6-898B9558FEE7@HIDDEN>
References: <475952466.1050924121.1562884357218.JavaMail.zimbra@HIDDEN>
 <834194262.1058652910.1562922240277.JavaMail.zimbra@HIDDEN>
 <4554CC85-A1DE-4E43-BBD6-898B9558FEE7@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#36611: Installation of a new guix system -- summaries of the
 issues
To: 36611 <at> debbugs.gnu.org,help-guix@HIDDEN
From: Julien Lepiller <julien@HIDDEN>
Message-ID: <9A077709-1700-4649-8099-F5ADEBFD0023@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36611
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Le 12 juillet 2019 11:29:49 GMT+02:00, Julien Lepiller <julien@lepiller=2Ee=
u> a =C3=A9crit :
>Le 12 juillet 2019 11:04:00 GMT+02:00, racin@free=2Efr a =C3=A9crit :
>>(Cross-posting to help-guix as it may be more appropriate)=20
>>
>>I now have two additional issues:=20
>>
>>13=2E My profile disappeared once again and guix package does not work
>>anymore (it says "guix package: error: unsupported manifest format")=2E
>I
>>realize that my =2Eguix-profile/etc/profile file has been emptied=2E=20
>>Maybe I had a problem during an upgrade, but aren't guix upgrades
>>supposed to be atomic?=20
>>
>>14=2E Also, my X server hangs unless I force the BIOS to use the
>>"discrete card", which uses more power=2E My laptop uses an hyprid
>>intel/nvidia configuration, is this supported by guix?=20
>>
>>Thanks,=20
>>Matthieu=20
>>
>>
>>
>>De: "racin" <racin@free=2Efr>=20
>>=C3=80: "bug-guix" <bug-guix@gnu=2Eorg>=20
>>Envoy=C3=A9: Vendredi 12 Juillet 2019 00:32:37=20
>>Objet: Installation of a new guix system -- summaries of the issues=20
>>
>>Hi Guix!=20
>>
>>I have just installed (successfully?) my first guix system!=20
>>
>>As a newcomer (I know system administration quite well, but never used
>
>>guix before) I thought that I could share my experience (i=2Ee=2E issues=
 I
>
>>had ;)) installing Guix=2E Probably some of the issues are obvious once=
=20
>>you know Guix well, but they aren't when, like me, you don't=2E I hope=
=20
>>using this list for this post is not inappropriate=2E=20
>>
>>I did not find any solution for some of the issues yet, so I would=20
>>also welcome help on those!=20
>>
>>So, here is the list of issues I had=2E=20
>>
>>1=2E An easy one: on a new computer, you now have to desactive this=20
>>secure boot thingy, else the live CD won't boot=2E As I understand it=20
>>the guix live CD is not "signed", which was the reason why it did not=20
>>boot (while other live CDs did)=2E This may sound obvious, except for=20
>>people whose previous computer was still using the BIOS; so maybe it=20
>>would be worth writing this in the installation instructions?=20
>>
>>2=2E I had a lot of trouble understanding how profile worked;=20
>>consequently I think I installed a lot of versions of different=20
>>packages, which took ages=2E=20
>>
>>After a while, I understood that=20
>>
>>- guix pull creates a new profile, but is not used by default: why?=20
>>Similarly, guix kept telling me that I should do=20
>>
>># GUIX_PROFILE=3D"/home/matthieu/=2Eguix-profile"=20
>># =2E "$GUIX_PROFILE/etc/profile"=20
>>
>>So my question is: shouldn't the default =2Ebashrc uses the newest=20
>>guix command from guix pull, and contain these lines above?=20
>>
>>- sudo guix system reconfigure /etc/config=2Escm is very different from=
=20
>>sudo su; guix system reconfigure /etc/config=2Escm=2E=20
>>
>>This is written explicitly in the documentation, so that was clear,=20
>>but I fell into the trap=2E=20
>>
>>- guix system reconfigure /etc/config=2Escm (without sudo) fails at a=20
>>very late stage=2E Maybe this command should issue a warning when not=20
>>run with root rights?=20
>>
>>
>>3=2E At one time it seems that my entire user profile disappeared (maybe
>
>>I shut down my laptop at a wrong time)=2E I had to reinstall every=20
>>package I had installed with guix package -i=2E=20
>>
>>4=2E I followed the initial exemple configuration of "A graphical system
>
>>with a choice of lightweight window managers", but it did not contain=20
>>any terminal emulator=2E=20
>>
>>5=2E I installed Icecat but I am missing some fonts: some websites do=20
>>not display properly (e=2Eg=2E numbers do not show up), even if I untick=
=20
>>"do not load custom fonts" (unticking this improves things a bit)=2E So=
=20
>>I believe some more font package should be installed with icecat=2E=20
>>
>>6=2E I had issues with gdm and lightdm, so I installed the xinit package
>
>>to start X sessions manually=2E But it seems that startx/xinit looks for
>
>>a X server in the same path than the xinit binary, which won't work on
>
>>guix=2E=20
>>
>>7=2E nm-applet fails with this warning Failed to add/activate
>connection:
>>(1) Not authorized to control networking=2E=20
>>I have to do sudo nm-applet to have it working (but it works well,
>wifi
>>and wired)=20
>>
>>8=2E Is there an equivalent to apt-file, e=2Eg=2E a way to know in which=
=20
>>packages a file would be located? This would be very useful, for=20
>>instance I had trouble finding where the latex executable is=20
>>located, or ghc complaining about finding linux/errno=2Eh when I=20
>>wanted to install xmonad=2E The problem is even more important for=20
>>guix, as in other systems the dependencies eventually show up in=20
>>your profile (e=2Eg=2E installing texlive-latex-beamer would install=20
>>the latex binary), whereas in guix you have to explicitely install=20
>>the right package in Guix=2E=20
>>
>>9=2E nm-applet cannot find the right icon sets, so it uses a "forbidden=
=20
>>sign" icon everywhere (which is a bit scary)=2E The error I get is=20
>>
>>failed to load icon "nm-stage03-connecting11": Icon=20
>>'nm-stage03-connecting11' not present in theme Adwaita=20
>>
>>so I guess some icon are missing; I tried to install=20
>>gnome-icon-theme with no luck=2E=20
>>
>>10=2E My latest problem happened when I tried to install slim (but the=
=20
>>problem remains when I switch back to gdm or tried to use a previous=20
>>system configuration, which surprised me)=2E Now when I boot, I have a=
=20
>>"gdm" user that was created and which attemps to log 505 times, which=20
>>freezes my computer for 2 minutes (I I try to use it at the same=20
>>times, it hangs)=2E My work-around is to switch to the console and wait=
=20
>>that all these unsuccessful connection stops, but this is not=20
>>ideal=2E=2E=2E=20
>>
>>11=2E Before I found this work-around I tried to fix the problem by=20
>>booting + chrooting from another OS, a solution I have often used to=20
>>fix my OS but could not do on guix=2E=2E=2E Which scares me a bit becaus=
e I=20
>>fill that I have no easy way to fix my OS if it was broken=2E Is there=
=20
>>an easy way to do that in guix?=20
>>
>>12=2E I also remember that the installer said something like "I will=20
>>erase the whole disk and you would loose all your data", while I used=20
>>the manual partitionning scheme and asked to format only one=20
>>partition, and this was a bit scary=2E=20
>>
>>Wow, that was a long list=2E Obviously I did not write about everything=
=20
>>that went well during the installation, so thanks for your hard work!=20
>>By posting this, I just hope that it will help new users to have less=20
>>problems to solve in the future!=20
>>
>>Thanks,=20
>>Matthieu=20
>>
>>
>>PS: here is my config=2Escm file=20
>>
>>;; This is an operating system configuration generated=20
>>;; by the graphical installer=2E=20
>>
>>(use-modules (gnu))=20
>>(use-service-modules desktop networking ssh xorg)=20
>>(use-modules (nongnu packages linux))=20
>>(use-modules (srfi srfi-1)) ; for remove=20
>>
>>(operating-system=20
>>(locale "en_US=2Eutf8")=20
>>(timezone "Europe/Paris")=20
>>(keyboard-layout=20
>>(keyboard-layout "us" "altgr-intl"))=20
>>(kernel linux)=20
>>(firmware (cons* iwlwifi-firmware %base-firmware))=20
>>(bootloader=20
>>(bootloader-configuration=20
>>(bootloader grub-efi-bootloader)=20
>>(target "/boot/efi")=20
>>(keyboard-layout keyboard-layout)))=20
>>(file-systems=20
>>(cons* (file-system=20
>>(mount-point "/")=20
>>(device=20
>>(uuid "7dd68b9b-26ba-47f7-aa82-3469060d2936"=20
>>'ext4))=20
>>(type "ext4"))=20
>>(file-system=20
>>(mount-point "/boot/efi")=20
>>(device (uuid "90D1-BAAF" 'fat32))=20
>>(type "vfat"))=20
>>%base-file-systems))=20
>>(host-name "x1")=20
>>(users (cons* (user-account=20
>>(name "matthieu")=20
>>(comment "Matthieu")=20
>>(group "users")=20
>>(home-directory "/home/matthieu")=20
>>(supplementary-groups=20
>>'("wheel" "netdev" "audio" "video")))=20
>>%base-user-accounts))=20
>>(packages=20
>>(append=20
>>(list (specification->package "xmonad")=20
>>(specification->package "awesome")=20
>>(specification->package "dmenu")=20
>>(specification->package "tlsdate") ; for initial time adjustment=20
>>(specification->package "nss-certs"))=20
>>%base-packages))=20
>>(services=20
>>(append=20
>>(list (service openssh-service-type)=20
>>
>>(set-xorg-configuration=20
>>(xorg-configuration=20
>>(keyboard-layout keyboard-layout)))=20
>>
>>(service slim-service-type (slim-configuration=20
>>(display ":0")=20
>>(vt "vt6")))=20
>>
>>)=20
>>
>>(remove (lambda (service)=20
>>(eq? (service-kind service) gdm-service-type))=20
>>
>>
>>%desktop-services=20
>>
>>))))=20
>
>Before you change anything, can you post your =2Eguix-profile/manifest
>file? Maybe it will help us understand what's going on on your side=2E
>You're actually the second user we hear that from, but we thought they
>might have tried to install things in parallel=2E It could explain some
>of your symptoms too, but not the manifest issue=2E
>
>Whenever guix started acting crazy for me, it was because of a disk
>failure or corruption=2E You should probably try to run fsck on your root
>partition=2E

Matthieu if you can read me, note that your email provider (free) rejected=
 my email to you with "spam detected"=2E




Information forwarded to bug-guix@HIDDEN:
bug#36611; Package guix. Full text available.

Message received at 36611 <at> debbugs.gnu.org:


Received: (at 36611) by debbugs.gnu.org; 12 Jul 2019 09:30:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 12 05:30:04 2019
Received: from localhost ([127.0.0.1]:39277 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlrsR-0006mf-95
	for submit <at> debbugs.gnu.org; Fri, 12 Jul 2019 05:30:03 -0400
Received: from lepiller.eu ([89.234.186.109]:34694)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1hlrsO-0006ln-AP
 for 36611 <at> debbugs.gnu.org; Fri, 12 Jul 2019 05:30:01 -0400
Received: from [10.130.163.205] (191.emeraldonion.org [23.129.64.191])
 by lepiller.eu (OpenSMTPD) with ESMTPSA id 7b755d04
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Fri, 12 Jul 2019 09:29:53 +0000 (UTC)
Date: Fri, 12 Jul 2019 11:29:49 +0200
User-Agent: K-9 Mail for Android
In-Reply-To: <834194262.1058652910.1562922240277.JavaMail.zimbra@HIDDEN>
References: <475952466.1050924121.1562884357218.JavaMail.zimbra@HIDDEN>
 <834194262.1058652910.1562922240277.JavaMail.zimbra@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#36611: Installation of a new guix system -- summaries of the
 issues
To: bug-guix@HIDDEN,racin@HIDDEN,36611 <at> debbugs.gnu.org,help-guix@HIDDEN
From: Julien Lepiller <julien@HIDDEN>
Message-ID: <4554CC85-A1DE-4E43-BBD6-898B9558FEE7@HIDDEN>
X-Spam-Score: 3.6 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Le 12 juillet 2019 11:04:00 GMT+02:00, racin@HIDDEN a écrit
    : >(Cross-posting to help-guix as it may be more appropriate) > >I now have
    two additional issues: > >13. My profile disappeared once agai [...] 
 
 Content analysis details:   (3.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: gnu.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 SPF_NONE               SPF: sender does not publish an SPF Record
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [23.129.64.191 listed in zen.spamhaus.org]
X-Debbugs-Envelope-To: 36611
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Le 12 juillet 2019 11:04:00 GMT+02:00, racin@HIDDEN a écrit
    : >(Cross-posting to help-guix as it may be more appropriate) > >I now have
    two additional issues: > >13. My profile disappeared once agai [...] 
 
 Content analysis details:   (2.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: gnu.org]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [23.129.64.191 listed in zen.spamhaus.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Le 12 juillet 2019 11:04:00 GMT+02:00, racin@free=2Efr a =C3=A9crit :
>(Cross-posting to help-guix as it may be more appropriate)=20
>
>I now have two additional issues:=20
>
>13=2E My profile disappeared once again and guix package does not work
>anymore (it says "guix package: error: unsupported manifest format")=2E I
>realize that my =2Eguix-profile/etc/profile file has been emptied=2E=20
>Maybe I had a problem during an upgrade, but aren't guix upgrades
>supposed to be atomic?=20
>
>14=2E Also, my X server hangs unless I force the BIOS to use the
>"discrete card", which uses more power=2E My laptop uses an hyprid
>intel/nvidia configuration, is this supported by guix?=20
>
>Thanks,=20
>Matthieu=20
>
>
>
>De: "racin" <racin@free=2Efr>=20
>=C3=80: "bug-guix" <bug-guix@gnu=2Eorg>=20
>Envoy=C3=A9: Vendredi 12 Juillet 2019 00:32:37=20
>Objet: Installation of a new guix system -- summaries of the issues=20
>
>Hi Guix!=20
>
>I have just installed (successfully?) my first guix system!=20
>
>As a newcomer (I know system administration quite well, but never used=20
>guix before) I thought that I could share my experience (i=2Ee=2E issues =
I=20
>had ;)) installing Guix=2E Probably some of the issues are obvious once=
=20
>you know Guix well, but they aren't when, like me, you don't=2E I hope=20
>using this list for this post is not inappropriate=2E=20
>
>I did not find any solution for some of the issues yet, so I would=20
>also welcome help on those!=20
>
>So, here is the list of issues I had=2E=20
>
>1=2E An easy one: on a new computer, you now have to desactive this=20
>secure boot thingy, else the live CD won't boot=2E As I understand it=20
>the guix live CD is not "signed", which was the reason why it did not=20
>boot (while other live CDs did)=2E This may sound obvious, except for=20
>people whose previous computer was still using the BIOS; so maybe it=20
>would be worth writing this in the installation instructions?=20
>
>2=2E I had a lot of trouble understanding how profile worked;=20
>consequently I think I installed a lot of versions of different=20
>packages, which took ages=2E=20
>
>After a while, I understood that=20
>
>- guix pull creates a new profile, but is not used by default: why?=20
>Similarly, guix kept telling me that I should do=20
>
># GUIX_PROFILE=3D"/home/matthieu/=2Eguix-profile"=20
># =2E "$GUIX_PROFILE/etc/profile"=20
>
>So my question is: shouldn't the default =2Ebashrc uses the newest=20
>guix command from guix pull, and contain these lines above?=20
>
>- sudo guix system reconfigure /etc/config=2Escm is very different from=
=20
>sudo su; guix system reconfigure /etc/config=2Escm=2E=20
>
>This is written explicitly in the documentation, so that was clear,=20
>but I fell into the trap=2E=20
>
>- guix system reconfigure /etc/config=2Escm (without sudo) fails at a=20
>very late stage=2E Maybe this command should issue a warning when not=20
>run with root rights?=20
>
>
>3=2E At one time it seems that my entire user profile disappeared (maybe=
=20
>I shut down my laptop at a wrong time)=2E I had to reinstall every=20
>package I had installed with guix package -i=2E=20
>
>4=2E I followed the initial exemple configuration of "A graphical system=
=20
>with a choice of lightweight window managers", but it did not contain=20
>any terminal emulator=2E=20
>
>5=2E I installed Icecat but I am missing some fonts: some websites do=20
>not display properly (e=2Eg=2E numbers do not show up), even if I untick=
=20
>"do not load custom fonts" (unticking this improves things a bit)=2E So=
=20
>I believe some more font package should be installed with icecat=2E=20
>
>6=2E I had issues with gdm and lightdm, so I installed the xinit package=
=20
>to start X sessions manually=2E But it seems that startx/xinit looks for=
=20
>a X server in the same path than the xinit binary, which won't work on=20
>guix=2E=20
>
>7=2E nm-applet fails with this warning Failed to add/activate connection:
>(1) Not authorized to control networking=2E=20
>I have to do sudo nm-applet to have it working (but it works well, wifi
>and wired)=20
>
>8=2E Is there an equivalent to apt-file, e=2Eg=2E a way to know in which=
=20
>packages a file would be located? This would be very useful, for=20
>instance I had trouble finding where the latex executable is=20
>located, or ghc complaining about finding linux/errno=2Eh when I=20
>wanted to install xmonad=2E The problem is even more important for=20
>guix, as in other systems the dependencies eventually show up in=20
>your profile (e=2Eg=2E installing texlive-latex-beamer would install=20
>the latex binary), whereas in guix you have to explicitely install=20
>the right package in Guix=2E=20
>
>9=2E nm-applet cannot find the right icon sets, so it uses a "forbidden=
=20
>sign" icon everywhere (which is a bit scary)=2E The error I get is=20
>
>failed to load icon "nm-stage03-connecting11": Icon=20
>'nm-stage03-connecting11' not present in theme Adwaita=20
>
>so I guess some icon are missing; I tried to install=20
>gnome-icon-theme with no luck=2E=20
>
>10=2E My latest problem happened when I tried to install slim (but the=20
>problem remains when I switch back to gdm or tried to use a previous=20
>system configuration, which surprised me)=2E Now when I boot, I have a=20
>"gdm" user that was created and which attemps to log 505 times, which=20
>freezes my computer for 2 minutes (I I try to use it at the same=20
>times, it hangs)=2E My work-around is to switch to the console and wait=
=20
>that all these unsuccessful connection stops, but this is not=20
>ideal=2E=2E=2E=20
>
>11=2E Before I found this work-around I tried to fix the problem by=20
>booting + chrooting from another OS, a solution I have often used to=20
>fix my OS but could not do on guix=2E=2E=2E Which scares me a bit because=
 I=20
>fill that I have no easy way to fix my OS if it was broken=2E Is there=20
>an easy way to do that in guix?=20
>
>12=2E I also remember that the installer said something like "I will=20
>erase the whole disk and you would loose all your data", while I used=20
>the manual partitionning scheme and asked to format only one=20
>partition, and this was a bit scary=2E=20
>
>Wow, that was a long list=2E Obviously I did not write about everything=
=20
>that went well during the installation, so thanks for your hard work!=20
>By posting this, I just hope that it will help new users to have less=20
>problems to solve in the future!=20
>
>Thanks,=20
>Matthieu=20
>
>
>PS: here is my config=2Escm file=20
>
>;; This is an operating system configuration generated=20
>;; by the graphical installer=2E=20
>
>(use-modules (gnu))=20
>(use-service-modules desktop networking ssh xorg)=20
>(use-modules (nongnu packages linux))=20
>(use-modules (srfi srfi-1)) ; for remove=20
>
>(operating-system=20
>(locale "en_US=2Eutf8")=20
>(timezone "Europe/Paris")=20
>(keyboard-layout=20
>(keyboard-layout "us" "altgr-intl"))=20
>(kernel linux)=20
>(firmware (cons* iwlwifi-firmware %base-firmware))=20
>(bootloader=20
>(bootloader-configuration=20
>(bootloader grub-efi-bootloader)=20
>(target "/boot/efi")=20
>(keyboard-layout keyboard-layout)))=20
>(file-systems=20
>(cons* (file-system=20
>(mount-point "/")=20
>(device=20
>(uuid "7dd68b9b-26ba-47f7-aa82-3469060d2936"=20
>'ext4))=20
>(type "ext4"))=20
>(file-system=20
>(mount-point "/boot/efi")=20
>(device (uuid "90D1-BAAF" 'fat32))=20
>(type "vfat"))=20
>%base-file-systems))=20
>(host-name "x1")=20
>(users (cons* (user-account=20
>(name "matthieu")=20
>(comment "Matthieu")=20
>(group "users")=20
>(home-directory "/home/matthieu")=20
>(supplementary-groups=20
>'("wheel" "netdev" "audio" "video")))=20
>%base-user-accounts))=20
>(packages=20
>(append=20
>(list (specification->package "xmonad")=20
>(specification->package "awesome")=20
>(specification->package "dmenu")=20
>(specification->package "tlsdate") ; for initial time adjustment=20
>(specification->package "nss-certs"))=20
>%base-packages))=20
>(services=20
>(append=20
>(list (service openssh-service-type)=20
>
>(set-xorg-configuration=20
>(xorg-configuration=20
>(keyboard-layout keyboard-layout)))=20
>
>(service slim-service-type (slim-configuration=20
>(display ":0")=20
>(vt "vt6")))=20
>
>)=20
>
>(remove (lambda (service)=20
>(eq? (service-kind service) gdm-service-type))=20
>
>
>%desktop-services=20
>
>))))=20

Before you change anything, can you post your =2Eguix-profile/manifest fil=
e? Maybe it will help us understand what's going on on your side=2E You're =
actually the second user we hear that from, but we thought they might have =
tried to install things in parallel=2E It could explain some of your sympto=
ms too, but not the manifest issue=2E

Whenever guix started acting crazy for me, it was because of a disk failur=
e or corruption=2E You should probably try to run fsck on your root partiti=
on=2E




Information forwarded to bug-guix@HIDDEN:
bug#36611; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jul 2019 09:30:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 12 05:30:06 2019
Received: from localhost ([127.0.0.1]:39280 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlrsU-0006mx-18
	for submit <at> debbugs.gnu.org; Fri, 12 Jul 2019 05:30:06 -0400
Received: from lists.gnu.org ([209.51.188.17]:34795)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1hlrsS-0006mq-Ux
 for submit <at> debbugs.gnu.org; Fri, 12 Jul 2019 05:30:05 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43831)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <julien@HIDDEN>) id 1hlrsR-0001kb-7j
 for bug-guix@HIDDEN; Fri, 12 Jul 2019 05:30:04 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ****
X-Spam-Status: No, score=4.1 required=5.0 tests=BAYES_50,RCVD_IN_SBL_CSS,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <julien@HIDDEN>) id 1hlrsP-0006Xo-HG
 for bug-guix@HIDDEN; Fri, 12 Jul 2019 05:30:03 -0400
Received: from lepiller.eu ([89.234.186.109]:42826)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <julien@HIDDEN>)
 id 1hlrsP-0006VT-7q; Fri, 12 Jul 2019 05:30:01 -0400
Received: from [10.130.163.205] (191.emeraldonion.org [23.129.64.191])
 by lepiller.eu (OpenSMTPD) with ESMTPSA id 7b755d04
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Fri, 12 Jul 2019 09:29:53 +0000 (UTC)
Date: Fri, 12 Jul 2019 11:29:49 +0200
User-Agent: K-9 Mail for Android
In-Reply-To: <834194262.1058652910.1562922240277.JavaMail.zimbra@HIDDEN>
References: <475952466.1050924121.1562884357218.JavaMail.zimbra@HIDDEN>
 <834194262.1058652910.1562922240277.JavaMail.zimbra@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#36611: Installation of a new guix system -- summaries of the
 issues
To: bug-guix@HIDDEN,racin@HIDDEN,36611 <at> debbugs.gnu.org,help-guix@HIDDEN
From: Julien Lepiller <julien@HIDDEN>
Message-ID: <4554CC85-A1DE-4E43-BBD6-898B9558FEE7@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 89.234.186.109
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Le 12 juillet 2019 11:04:00 GMT+02:00, racin@HIDDEN a écrit
    : >(Cross-posting to help-guix as it may be more appropriate) > >I now have
    two additional issues: > >13. My profile disappeared once agai [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: gnu.org]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [23.129.64.191 listed in zen.spamhaus.org]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
                             medium trust
                             [209.51.188.17 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 SPF_NONE               SPF: sender does not publish an SPF Record
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Le 12 juillet 2019 11:04:00 GMT+02:00, racin@free=2Efr a =C3=A9crit :
>(Cross-posting to help-guix as it may be more appropriate)=20
>
>I now have two additional issues:=20
>
>13=2E My profile disappeared once again and guix package does not work
>anymore (it says "guix package: error: unsupported manifest format")=2E I
>realize that my =2Eguix-profile/etc/profile file has been emptied=2E=20
>Maybe I had a problem during an upgrade, but aren't guix upgrades
>supposed to be atomic?=20
>
>14=2E Also, my X server hangs unless I force the BIOS to use the
>"discrete card", which uses more power=2E My laptop uses an hyprid
>intel/nvidia configuration, is this supported by guix?=20
>
>Thanks,=20
>Matthieu=20
>
>
>
>De: "racin" <racin@free=2Efr>=20
>=C3=80: "bug-guix" <bug-guix@gnu=2Eorg>=20
>Envoy=C3=A9: Vendredi 12 Juillet 2019 00:32:37=20
>Objet: Installation of a new guix system -- summaries of the issues=20
>
>Hi Guix!=20
>
>I have just installed (successfully?) my first guix system!=20
>
>As a newcomer (I know system administration quite well, but never used=20
>guix before) I thought that I could share my experience (i=2Ee=2E issues =
I=20
>had ;)) installing Guix=2E Probably some of the issues are obvious once=
=20
>you know Guix well, but they aren't when, like me, you don't=2E I hope=20
>using this list for this post is not inappropriate=2E=20
>
>I did not find any solution for some of the issues yet, so I would=20
>also welcome help on those!=20
>
>So, here is the list of issues I had=2E=20
>
>1=2E An easy one: on a new computer, you now have to desactive this=20
>secure boot thingy, else the live CD won't boot=2E As I understand it=20
>the guix live CD is not "signed", which was the reason why it did not=20
>boot (while other live CDs did)=2E This may sound obvious, except for=20
>people whose previous computer was still using the BIOS; so maybe it=20
>would be worth writing this in the installation instructions?=20
>
>2=2E I had a lot of trouble understanding how profile worked;=20
>consequently I think I installed a lot of versions of different=20
>packages, which took ages=2E=20
>
>After a while, I understood that=20
>
>- guix pull creates a new profile, but is not used by default: why?=20
>Similarly, guix kept telling me that I should do=20
>
># GUIX_PROFILE=3D"/home/matthieu/=2Eguix-profile"=20
># =2E "$GUIX_PROFILE/etc/profile"=20
>
>So my question is: shouldn't the default =2Ebashrc uses the newest=20
>guix command from guix pull, and contain these lines above?=20
>
>- sudo guix system reconfigure /etc/config=2Escm is very different from=
=20
>sudo su; guix system reconfigure /etc/config=2Escm=2E=20
>
>This is written explicitly in the documentation, so that was clear,=20
>but I fell into the trap=2E=20
>
>- guix system reconfigure /etc/config=2Escm (without sudo) fails at a=20
>very late stage=2E Maybe this command should issue a warning when not=20
>run with root rights?=20
>
>
>3=2E At one time it seems that my entire user profile disappeared (maybe=
=20
>I shut down my laptop at a wrong time)=2E I had to reinstall every=20
>package I had installed with guix package -i=2E=20
>
>4=2E I followed the initial exemple configuration of "A graphical system=
=20
>with a choice of lightweight window managers", but it did not contain=20
>any terminal emulator=2E=20
>
>5=2E I installed Icecat but I am missing some fonts: some websites do=20
>not display properly (e=2Eg=2E numbers do not show up), even if I untick=
=20
>"do not load custom fonts" (unticking this improves things a bit)=2E So=
=20
>I believe some more font package should be installed with icecat=2E=20
>
>6=2E I had issues with gdm and lightdm, so I installed the xinit package=
=20
>to start X sessions manually=2E But it seems that startx/xinit looks for=
=20
>a X server in the same path than the xinit binary, which won't work on=20
>guix=2E=20
>
>7=2E nm-applet fails with this warning Failed to add/activate connection:
>(1) Not authorized to control networking=2E=20
>I have to do sudo nm-applet to have it working (but it works well, wifi
>and wired)=20
>
>8=2E Is there an equivalent to apt-file, e=2Eg=2E a way to know in which=
=20
>packages a file would be located? This would be very useful, for=20
>instance I had trouble finding where the latex executable is=20
>located, or ghc complaining about finding linux/errno=2Eh when I=20
>wanted to install xmonad=2E The problem is even more important for=20
>guix, as in other systems the dependencies eventually show up in=20
>your profile (e=2Eg=2E installing texlive-latex-beamer would install=20
>the latex binary), whereas in guix you have to explicitely install=20
>the right package in Guix=2E=20
>
>9=2E nm-applet cannot find the right icon sets, so it uses a "forbidden=
=20
>sign" icon everywhere (which is a bit scary)=2E The error I get is=20
>
>failed to load icon "nm-stage03-connecting11": Icon=20
>'nm-stage03-connecting11' not present in theme Adwaita=20
>
>so I guess some icon are missing; I tried to install=20
>gnome-icon-theme with no luck=2E=20
>
>10=2E My latest problem happened when I tried to install slim (but the=20
>problem remains when I switch back to gdm or tried to use a previous=20
>system configuration, which surprised me)=2E Now when I boot, I have a=20
>"gdm" user that was created and which attemps to log 505 times, which=20
>freezes my computer for 2 minutes (I I try to use it at the same=20
>times, it hangs)=2E My work-around is to switch to the console and wait=
=20
>that all these unsuccessful connection stops, but this is not=20
>ideal=2E=2E=2E=20
>
>11=2E Before I found this work-around I tried to fix the problem by=20
>booting + chrooting from another OS, a solution I have often used to=20
>fix my OS but could not do on guix=2E=2E=2E Which scares me a bit because=
 I=20
>fill that I have no easy way to fix my OS if it was broken=2E Is there=20
>an easy way to do that in guix?=20
>
>12=2E I also remember that the installer said something like "I will=20
>erase the whole disk and you would loose all your data", while I used=20
>the manual partitionning scheme and asked to format only one=20
>partition, and this was a bit scary=2E=20
>
>Wow, that was a long list=2E Obviously I did not write about everything=
=20
>that went well during the installation, so thanks for your hard work!=20
>By posting this, I just hope that it will help new users to have less=20
>problems to solve in the future!=20
>
>Thanks,=20
>Matthieu=20
>
>
>PS: here is my config=2Escm file=20
>
>;; This is an operating system configuration generated=20
>;; by the graphical installer=2E=20
>
>(use-modules (gnu))=20
>(use-service-modules desktop networking ssh xorg)=20
>(use-modules (nongnu packages linux))=20
>(use-modules (srfi srfi-1)) ; for remove=20
>
>(operating-system=20
>(locale "en_US=2Eutf8")=20
>(timezone "Europe/Paris")=20
>(keyboard-layout=20
>(keyboard-layout "us" "altgr-intl"))=20
>(kernel linux)=20
>(firmware (cons* iwlwifi-firmware %base-firmware))=20
>(bootloader=20
>(bootloader-configuration=20
>(bootloader grub-efi-bootloader)=20
>(target "/boot/efi")=20
>(keyboard-layout keyboard-layout)))=20
>(file-systems=20
>(cons* (file-system=20
>(mount-point "/")=20
>(device=20
>(uuid "7dd68b9b-26ba-47f7-aa82-3469060d2936"=20
>'ext4))=20
>(type "ext4"))=20
>(file-system=20
>(mount-point "/boot/efi")=20
>(device (uuid "90D1-BAAF" 'fat32))=20
>(type "vfat"))=20
>%base-file-systems))=20
>(host-name "x1")=20
>(users (cons* (user-account=20
>(name "matthieu")=20
>(comment "Matthieu")=20
>(group "users")=20
>(home-directory "/home/matthieu")=20
>(supplementary-groups=20
>'("wheel" "netdev" "audio" "video")))=20
>%base-user-accounts))=20
>(packages=20
>(append=20
>(list (specification->package "xmonad")=20
>(specification->package "awesome")=20
>(specification->package "dmenu")=20
>(specification->package "tlsdate") ; for initial time adjustment=20
>(specification->package "nss-certs"))=20
>%base-packages))=20
>(services=20
>(append=20
>(list (service openssh-service-type)=20
>
>(set-xorg-configuration=20
>(xorg-configuration=20
>(keyboard-layout keyboard-layout)))=20
>
>(service slim-service-type (slim-configuration=20
>(display ":0")=20
>(vt "vt6")))=20
>
>)=20
>
>(remove (lambda (service)=20
>(eq? (service-kind service) gdm-service-type))=20
>
>
>%desktop-services=20
>
>))))=20

Before you change anything, can you post your =2Eguix-profile/manifest fil=
e? Maybe it will help us understand what's going on on your side=2E You're =
actually the second user we hear that from, but we thought they might have =
tried to install things in parallel=2E It could explain some of your sympto=
ms too, but not the manifest issue=2E

Whenever guix started acting crazy for me, it was because of a disk failur=
e or corruption=2E You should probably try to run fsck on your root partiti=
on=2E




Information forwarded to bug-guix@HIDDEN:
bug#36611; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jul 2019 09:19:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 12 05:19:27 2019
Received: from localhost ([127.0.0.1]:39273 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlri9-0006XF-6u
	for submit <at> debbugs.gnu.org; Fri, 12 Jul 2019 05:19:25 -0400
Received: from lists.gnu.org ([209.51.188.17]:48384)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <racin@HIDDEN>) id 1hlrTQ-0006By-IR
 for submit <at> debbugs.gnu.org; Fri, 12 Jul 2019 05:04:13 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36512)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <racin@HIDDEN>) id 1hlrTO-0002fp-6W
 for bug-guix@HIDDEN; Fri, 12 Jul 2019 05:04:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.6 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,RCVD_IN_DNSWL_LOW,RECEIVED_FROM_WINDOWS_HOST,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <racin@HIDDEN>) id 1hlrTL-0007R5-Hb
 for bug-guix@HIDDEN; Fri, 12 Jul 2019 05:04:10 -0400
Received: from smtp1-g21.free.fr ([212.27.42.1]:14104)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <racin@HIDDEN>)
 id 1hlrTL-0007OQ-6X; Fri, 12 Jul 2019 05:04:07 -0400
Received: from zimbra109-e19.priv.proxad.net (unknown [172.20.243.130])
 by smtp1-g21.free.fr (Postfix) with ESMTP id 2C258B00568;
 Fri, 12 Jul 2019 11:04:00 +0200 (CEST)
Date: Fri, 12 Jul 2019 11:04:00 +0200 (CEST)
From: racin@HIDDEN
To: bug-guix <bug-guix@HIDDEN>, help-guix@HIDDEN
Message-ID: <834194262.1058652910.1562922240277.JavaMail.zimbra@HIDDEN>
In-Reply-To: <475952466.1050924121.1562884357218.JavaMail.zimbra@HIDDEN>
References: <475952466.1050924121.1562884357218.JavaMail.zimbra@HIDDEN>
Subject: Re: Installation of a new guix system -- summaries of the issues
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="=_2026f279-b3f3-4750-895f-58005b80443c"
X-Originating-IP: [132.166.177.50]
X-Mailer: Zimbra 8.8.7_GA_1002 (ZimbraWebClient - FF66 (Linux)/8.8.7_GA_1002)
Thread-Topic: Installation of a new guix system -- summaries of the issues
Thread-Index: SBiljfjiF+ri6Ac36fTUcBQAnNQ84c5a5+JJ
X-detected-operating-system: by eggs.gnu.org: Windows NT kernel [generic]
 [fuzzy]
X-Received-From: 212.27.42.1
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 12 Jul 2019 05:19:24 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=_2026f279-b3f3-4750-895f-58005b80443c
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

(Cross-posting to help-guix as it may be more appropriate)=20

I now have two additional issues:=20

13. My profile disappeared once again and guix package does not work anymor=
e (it says "guix package: error: unsupported manifest format"). I realize t=
hat my .guix-profile/etc/profile file has been emptied.=20
Maybe I had a problem during an upgrade, but aren't guix upgrades supposed =
to be atomic?=20

14. Also, my X server hangs unless I force the BIOS to use the "discrete ca=
rd", which uses more power. My laptop uses an hyprid intel/nvidia configura=
tion, is this supported by guix?=20

Thanks,=20
Matthieu=20



De: "racin" <racin@HIDDEN>=20
=C3=80: "bug-guix" <bug-guix@HIDDEN>=20
Envoy=C3=A9: Vendredi 12 Juillet 2019 00:32:37=20
Objet: Installation of a new guix system -- summaries of the issues=20

Hi Guix!=20

I have just installed (successfully?) my first guix system!=20

As a newcomer (I know system administration quite well, but never used=20
guix before) I thought that I could share my experience (i.e. issues I=20
had ;)) installing Guix. Probably some of the issues are obvious once=20
you know Guix well, but they aren't when, like me, you don't. I hope=20
using this list for this post is not inappropriate.=20

I did not find any solution for some of the issues yet, so I would=20
also welcome help on those!=20

So, here is the list of issues I had.=20

1. An easy one: on a new computer, you now have to desactive this=20
secure boot thingy, else the live CD won't boot. As I understand it=20
the guix live CD is not "signed", which was the reason why it did not=20
boot (while other live CDs did). This may sound obvious, except for=20
people whose previous computer was still using the BIOS; so maybe it=20
would be worth writing this in the installation instructions?=20

2. I had a lot of trouble understanding how profile worked;=20
consequently I think I installed a lot of versions of different=20
packages, which took ages.=20

After a while, I understood that=20

- guix pull creates a new profile, but is not used by default: why?=20
Similarly, guix kept telling me that I should do=20

# GUIX_PROFILE=3D"/home/matthieu/.guix-profile"=20
# . "$GUIX_PROFILE/etc/profile"=20

So my question is: shouldn't the default .bashrc uses the newest=20
guix command from guix pull, and contain these lines above?=20

- sudo guix system reconfigure /etc/config.scm is very different from=20
sudo su; guix system reconfigure /etc/config.scm.=20

This is written explicitly in the documentation, so that was clear,=20
but I fell into the trap.=20

- guix system reconfigure /etc/config.scm (without sudo) fails at a=20
very late stage. Maybe this command should issue a warning when not=20
run with root rights?=20


3. At one time it seems that my entire user profile disappeared (maybe=20
I shut down my laptop at a wrong time). I had to reinstall every=20
package I had installed with guix package -i.=20

4. I followed the initial exemple configuration of "A graphical system=20
with a choice of lightweight window managers", but it did not contain=20
any terminal emulator.=20

5. I installed Icecat but I am missing some fonts: some websites do=20
not display properly (e.g. numbers do not show up), even if I untick=20
"do not load custom fonts" (unticking this improves things a bit). So=20
I believe some more font package should be installed with icecat.=20

6. I had issues with gdm and lightdm, so I installed the xinit package=20
to start X sessions manually. But it seems that startx/xinit looks for=20
a X server in the same path than the xinit binary, which won't work on=20
guix.=20

7. nm-applet fails with this warning Failed to add/activate connection: (1)=
 Not authorized to control networking.=20
I have to do sudo nm-applet to have it working (but it works well, wifi and=
 wired)=20

8. Is there an equivalent to apt-file, e.g. a way to know in which=20
packages a file would be located? This would be very useful, for=20
instance I had trouble finding where the latex executable is=20
located, or ghc complaining about finding linux/errno.h when I=20
wanted to install xmonad. The problem is even more important for=20
guix, as in other systems the dependencies eventually show up in=20
your profile (e.g. installing texlive-latex-beamer would install=20
the latex binary), whereas in guix you have to explicitely install=20
the right package in Guix.=20

9. nm-applet cannot find the right icon sets, so it uses a "forbidden=20
sign" icon everywhere (which is a bit scary). The error I get is=20

failed to load icon "nm-stage03-connecting11": Icon=20
'nm-stage03-connecting11' not present in theme Adwaita=20

so I guess some icon are missing; I tried to install=20
gnome-icon-theme with no luck.=20

10. My latest problem happened when I tried to install slim (but the=20
problem remains when I switch back to gdm or tried to use a previous=20
system configuration, which surprised me). Now when I boot, I have a=20
"gdm" user that was created and which attemps to log 505 times, which=20
freezes my computer for 2 minutes (I I try to use it at the same=20
times, it hangs). My work-around is to switch to the console and wait=20
that all these unsuccessful connection stops, but this is not=20
ideal...=20

11. Before I found this work-around I tried to fix the problem by=20
booting + chrooting from another OS, a solution I have often used to=20
fix my OS but could not do on guix... Which scares me a bit because I=20
fill that I have no easy way to fix my OS if it was broken. Is there=20
an easy way to do that in guix?=20

12. I also remember that the installer said something like "I will=20
erase the whole disk and you would loose all your data", while I used=20
the manual partitionning scheme and asked to format only one=20
partition, and this was a bit scary.=20

Wow, that was a long list. Obviously I did not write about everything=20
that went well during the installation, so thanks for your hard work!=20
By posting this, I just hope that it will help new users to have less=20
problems to solve in the future!=20

Thanks,=20
Matthieu=20


PS: here is my config.scm file=20

;; This is an operating system configuration generated=20
;; by the graphical installer.=20

(use-modules (gnu))=20
(use-service-modules desktop networking ssh xorg)=20
(use-modules (nongnu packages linux))=20
(use-modules (srfi srfi-1)) ; for remove=20

(operating-system=20
(locale "en_US.utf8")=20
(timezone "Europe/Paris")=20
(keyboard-layout=20
(keyboard-layout "us" "altgr-intl"))=20
(kernel linux)=20
(firmware (cons* iwlwifi-firmware %base-firmware))=20
(bootloader=20
(bootloader-configuration=20
(bootloader grub-efi-bootloader)=20
(target "/boot/efi")=20
(keyboard-layout keyboard-layout)))=20
(file-systems=20
(cons* (file-system=20
(mount-point "/")=20
(device=20
(uuid "7dd68b9b-26ba-47f7-aa82-3469060d2936"=20
'ext4))=20
(type "ext4"))=20
(file-system=20
(mount-point "/boot/efi")=20
(device (uuid "90D1-BAAF" 'fat32))=20
(type "vfat"))=20
%base-file-systems))=20
(host-name "x1")=20
(users (cons* (user-account=20
(name "matthieu")=20
(comment "Matthieu")=20
(group "users")=20
(home-directory "/home/matthieu")=20
(supplementary-groups=20
'("wheel" "netdev" "audio" "video")))=20
%base-user-accounts))=20
(packages=20
(append=20
(list (specification->package "xmonad")=20
(specification->package "awesome")=20
(specification->package "dmenu")=20
(specification->package "tlsdate") ; for initial time adjustment=20
(specification->package "nss-certs"))=20
%base-packages))=20
(services=20
(append=20
(list (service openssh-service-type)=20

(set-xorg-configuration=20
(xorg-configuration=20
(keyboard-layout keyboard-layout)))=20

(service slim-service-type (slim-configuration=20
(display ":0")=20
(vt "vt6")))=20

)=20

(remove (lambda (service)=20
(eq? (service-kind service) gdm-service-type))=20


%desktop-services=20

))))=20


--=_2026f279-b3f3-4750-895f-58005b80443c
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><body><div style=3D"font-family: arial, helvetica, sans-serif; font-s=
ize: 12pt; color: #000000"><div>(Cross-posting to help-guix as it may be mo=
re appropriate)<br></div><div><br data-mce-bogus=3D"1"></div><div>I now hav=
e two additional issues:<br data-mce-bogus=3D"1"></div><div><br data-mce-bo=
gus=3D"1"></div><div>13. My profile disappeared once again and guix package=
 does not work anymore (it says "guix package: error: unsupported manifest =
format"). I realize that my .guix-profile/etc/profile file has been emptied=
. <br data-mce-bogus=3D"1"></div><div>Maybe I had a problem during an upgra=
de, but aren't guix upgrades supposed to be atomic?<br data-mce-bogus=3D"1"=
></div><div><br data-mce-bogus=3D"1"></div><div>14. Also, my X server hangs=
 unless I force the BIOS to use the "discrete card", which uses more power.=
 My laptop uses an hyprid intel/nvidia configuration, is this supported by =
guix?<br data-mce-bogus=3D"1"></div><div><br data-mce-bogus=3D"1"></div><di=
v>Thanks,<br data-mce-bogus=3D"1"></div><div>Matthieu<br data-mce-bogus=3D"=
1"></div><div><br data-mce-bogus=3D"1"></div><div><br></div><hr id=3D"zwchr=
" data-marker=3D"__DIVIDER__"><div data-marker=3D"__HEADERS__"><b>De: </b>"=
racin" &lt;racin@HIDDEN&gt;<br><b>=C3=80: </b>"bug-guix" &lt;bug-guix@gnu.=
org&gt;<br><b>Envoy=C3=A9: </b>Vendredi 12 Juillet 2019 00:32:37<br><b>Obje=
t: </b>Installation of a new guix system -- summaries of the issues<br></di=
v><br><div data-marker=3D"__QUOTED_TEXT__"><div style=3D"font-family: arial=
, helvetica, sans-serif; font-size: 12pt; color: #000000"><div>Hi Guix!<br>=
<br>I have just installed (successfully?) my first guix system!<br><br>As a=
 newcomer (I know system administration quite well, but never used<br>guix =
before) I thought that I could share my experience (i.e. issues I<br>had ;)=
) installing Guix. Probably some of the issues are obvious once<br>you know=
 Guix well, but they aren't when, like me, you don't. I hope<br>using this =
list for this post is not inappropriate.<br><br>I did not find any solution=
 for some of the issues yet, so I would<br>also welcome help on those! <br>=
<br>So, here is the list of issues I had.<br><br>1. An easy one: on a new c=
omputer, you now have to desactive this<br>secure boot thingy, else the liv=
e CD won't boot. As I understand it<br>the guix live CD is not "signed", wh=
ich was the reason why it did not<br>boot (while other live CDs did). This =
may sound obvious, except for<br>people whose previous computer was still u=
sing the BIOS; so maybe it<br>would be worth writing this in the installati=
on instructions?<br><br>2. I had a lot of trouble understanding how profile=
 worked;<br>consequently I think I installed a lot of versions of different=
<br>packages, which took ages.<br><br>After a while, I understood that<br><=
br>&nbsp;- guix pull creates a new profile, but is not used by default: why=
?<br>&nbsp;&nbsp; Similarly, guix kept telling me that I should do<br><br>#=
 GUIX_PROFILE=3D"/home/matthieu/.guix-profile"<br># . "$GUIX_PROFILE/etc/pr=
ofile"<br><br>&nbsp;&nbsp; So my question is: shouldn't the default .bashrc=
 uses the newest<br>&nbsp;&nbsp; guix command from guix pull, and contain t=
hese lines above?<br><br>&nbsp;- sudo guix system reconfigure /etc/config.s=
cm is very different from<br>&nbsp;&nbsp; sudo su; guix system reconfigure =
/etc/config.scm.<br><br>&nbsp;&nbsp; This is written explicitly in the docu=
mentation, so that was clear,<br>&nbsp;&nbsp; but I fell into the trap.<br>=
<br>&nbsp;- guix system reconfigure /etc/config.scm (without sudo) fails at=
 a<br>&nbsp;&nbsp; very late stage. Maybe this command should issue a warni=
ng when not<br>&nbsp;&nbsp; run with root rights?<br><br><br>3. At one time=
 it seems that my entire user profile disappeared (maybe<br>I shut down my =
laptop at a wrong time). I had to reinstall every<br>package I had installe=
d with guix package -i.<br><br>4. I followed the initial exemple configurat=
ion of "A graphical system<br>with a choice of lightweight window managers"=
, but it did not contain<br>any terminal emulator.<br><br>5. I installed Ic=
ecat but I am missing some fonts: some websites do<br>not display properly =
(e.g. numbers do not show up), even if I untick<br>"do not load custom font=
s" (unticking this improves things a bit). So<br>I believe some more font p=
ackage should be installed with icecat.<br><br>6. I had issues with gdm and=
 lightdm, so I installed the xinit package<br>to start X sessions manually.=
 But it seems that startx/xinit looks for<br>a X server in the same path th=
an the xinit binary, which won't work on<br>guix.<br><br>7. nm-applet fails=
 with this warning Failed to add/activate connection: (1) Not authorized to=
 control networking.<br>&nbsp;&nbsp; I have to do sudo nm-applet to have it=
 working (but it works well, wifi and wired)<br><br>8. Is there an equivale=
nt to apt-file, e.g. a way to know in which<br>&nbsp;&nbsp; packages a file=
 would be located? This would be very useful, for<br>&nbsp;&nbsp; instance =
I had trouble finding where the latex executable is<br>&nbsp;&nbsp; located=
, or ghc complaining about finding linux/errno.h when I<br>&nbsp;&nbsp; wan=
ted to install xmonad. The problem is even more important for<br>&nbsp;&nbs=
p; guix, as in other systems the dependencies eventually show up in<br>&nbs=
p;&nbsp; your profile (e.g. installing texlive-latex-beamer would install<b=
r>&nbsp;&nbsp; the latex binary), whereas in guix you have to explicitely i=
nstall<br>&nbsp;&nbsp; the right package in Guix.<br><br>9. nm-applet canno=
t find the right icon sets, so it uses a "forbidden<br>sign" icon everywher=
e (which is a bit scary). The error I get is<br><br>&nbsp;failed to load ic=
on "nm-stage03-connecting11": Icon<br>&nbsp;'nm-stage03-connecting11' not p=
resent in theme Adwaita<br><br>&nbsp; so I guess some icon are missing; I t=
ried to install<br>&nbsp; gnome-icon-theme with no luck.<br><br>10. My late=
st problem happened when I tried to install slim (but the<br>problem remain=
s when I switch back to gdm or tried to use a previous<br>system configurat=
ion, which surprised me). Now when I boot, I have a<br>"gdm" user that was =
created and which attemps to log 505 times, which<br>freezes my computer fo=
r 2 minutes (I I try to use it at the same<br>times, it hangs). My work-aro=
und is to switch to the console and wait<br>that all these unsuccessful con=
nection stops, but this is not<br>ideal...<br><br>11. Before I found this w=
ork-around I tried to fix the problem by<br>booting + chrooting from anothe=
r OS, a solution I have often used to<br>fix my OS but could not do on guix=
... Which scares me a bit because I<br>fill that I have no easy way to fix =
my OS if it was broken. Is there<br>an easy way to do that in guix?<br><br>=
12. I also remember that the installer said something like "I will<br>erase=
 the whole disk and you would loose all your data", while I used<br>the man=
ual partitionning scheme and asked to format only one<br>partition, and thi=
s was a bit scary.<br><br>Wow, that was a long list. Obviously I did not wr=
ite about everything<br>that went well during the installation, so thanks f=
or your hard work!<br>By posting this, I just hope that it will help new us=
ers to have less<br>problems to solve in the future!<br><br>Thanks,<br>Matt=
hieu<br></div><br><br><div>PS: here is my config.scm file<br></div><br><div=
>;; This is an operating system configuration generated<br>;; by the graphi=
cal installer.<br><br>(use-modules (gnu))<br>(use-service-modules desktop n=
etworking ssh xorg)<br>(use-modules (nongnu packages linux))<br>(use-module=
s (srfi srfi-1)) ; for remove<br><br>(operating-system<br>&nbsp; (locale "e=
n_US.utf8")<br>&nbsp; (timezone "Europe/Paris")<br>&nbsp; (keyboard-layout<=
br>&nbsp;&nbsp;&nbsp; (keyboard-layout "us" "altgr-intl"))<br>&nbsp; (kerne=
l linux)<br>&nbsp; (firmware (cons* iwlwifi-firmware %base-firmware))<br>&n=
bsp; (bootloader<br>&nbsp;&nbsp;&nbsp; (bootloader-configuration<br>&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp; (bootloader grub-efi-bootloader)<br>&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp; (target "/boot/efi")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (key=
board-layout keyboard-layout)))<br>&nbsp; (file-systems<br>&nbsp;&nbsp;&nbs=
p; (cons* (file-system<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp; (mount-point "/")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (device<br>&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (uuid "7dd6=
8b9b-26ba-47f7-aa82-3469060d2936"<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp; 'ext4))<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp; (type "ext4"))<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp; (file-system<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (mount-point "/boot/efi")<br>&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (device (uuid=
 "90D1-BAAF" 'fat32))<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp; (type "vfat"))<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp; %base-file-systems))<br>&nbsp; (host-name "x1")<=
br>&nbsp; (users (cons* (user-account<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (name =
"matthieu")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (comment "Matthieu")<br>&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp; (group "users")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (home-di=
rectory "/home/matthieu")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (supplementary-gro=
ups<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; '("wheel" "netdev" "audio" "=
video")))<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp; %base-user-accounts))<br>&nbsp; (packages<br>&=
nbsp;&nbsp;&nbsp; (append<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (list (specific=
ation-&gt;package "xmonad")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp; (specification-&gt;package "awesome")<br>&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (specification-&gt;=
package "dmenu")<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; (specification-&g=
t;package "tlsdate") ; for initial time adjustment<br>&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (specification-&gt;package "n=
ss-certs"))<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; %base-packages))<br>&nbsp; (s=
ervices<br>&nbsp;&nbsp;&nbsp; (append<br>&nbsp;&nbsp;&nbsp;&nbsp; (list (se=
rvice openssh-service-type)<br><br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp; (set-xorg-configuration<br>&nbsp;&nbsp;&nbsp; &nbsp;&n=
bsp;&nbsp; (xorg-configuration<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbs=
p; (keyboard-layout keyboard-layout)))<br><br>&nbsp;&nbsp;&nbsp; &nbsp;&nbs=
p;&nbsp; (service slim-service-type (slim-configuration<br>&nbsp;&nbsp;&nbs=
p; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp; (display ":0")<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; (vt "vt6")))<br><br>)<br><br>&nbs=
p;&nbsp;&nbsp;&nbsp; (remove (lambda (service)<br>&nbsp;&nbsp;&nbsp; &nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (eq? (service-kind service) gdm-service-type=
))<br><br><br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp; %desktop-services=
<br><br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp; ))))</div></div><br></div></div></body></html>
--=_2026f279-b3f3-4750-895f-58005b80443c--




Information forwarded to bug-guix@HIDDEN:
bug#36611; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jul 2019 00:53:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 11 20:53:28 2019
Received: from localhost ([127.0.0.1]:39074 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hljoW-0003EK-0F
	for submit <at> debbugs.gnu.org; Thu, 11 Jul 2019 20:53:28 -0400
Received: from lists.gnu.org ([209.51.188.17]:45554)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <racin@HIDDEN>) id 1hlhcO-0006Ch-Ub
 for submit <at> debbugs.gnu.org; Thu, 11 Jul 2019 18:32:50 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40194)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <racin@HIDDEN>) id 1hlhcM-0000NH-MU
 for bug-guix@HIDDEN; Thu, 11 Jul 2019 18:32:48 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <racin@HIDDEN>) id 1hlhcJ-0002yh-IY
 for bug-guix@HIDDEN; Thu, 11 Jul 2019 18:32:46 -0400
Received: from smtp4-g21.free.fr ([2a01:e0c:1:1599::13]:27304)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <racin@HIDDEN>) id 1hlhcJ-0002ru-7h
 for bug-guix@HIDDEN; Thu, 11 Jul 2019 18:32:43 -0400
Received: from zimbra109-e19.priv.proxad.net (unknown [172.20.243.130])
 by smtp4-g21.free.fr (Postfix) with ESMTP id 1907619F593
 for <bug-guix@HIDDEN>; Fri, 12 Jul 2019 00:32:37 +0200 (CEST)
Date: Fri, 12 Jul 2019 00:32:37 +0200 (CEST)
From: racin@HIDDEN
To: bug-guix@HIDDEN
Message-ID: <475952466.1050924121.1562884357218.JavaMail.zimbra@HIDDEN>
Subject: Installation of a new guix system -- summaries of the issues
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="=_34f79af9-05f6-458b-8899-25bcababa60a"
X-Originating-IP: [2001:861:4284:e290:3d76:26f9:5469:12fa]
X-Mailer: Zimbra 8.8.7_GA_1002 (ZimbraWebClient - [unknown]
 (Linux)/8.8.7_GA_1002)
Thread-Index: SBiljfjiF+ri6Ac36fTUcBQAnNQ84Q==
Thread-Topic: Installation of a new guix system -- summaries of the issues
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a01:e0c:1:1599::13
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 11 Jul 2019 20:53:27 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=_34f79af9-05f6-458b-8899-25bcababa60a
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit

Hi Guix! 

I have just installed (successfully?) my first guix system! 

As a newcomer (I know system administration quite well, but never used 
guix before) I thought that I could share my experience (i.e. issues I 
had ;)) installing Guix. Probably some of the issues are obvious once 
you know Guix well, but they aren't when, like me, you don't. I hope 
using this list for this post is not inappropriate. 

I did not find any solution for some of the issues yet, so I would 
also welcome help on those! 

So, here is the list of issues I had. 

1. An easy one: on a new computer, you now have to desactive this 
secure boot thingy, else the live CD won't boot. As I understand it 
the guix live CD is not "signed", which was the reason why it did not 
boot (while other live CDs did). This may sound obvious, except for 
people whose previous computer was still using the BIOS; so maybe it 
would be worth writing this in the installation instructions? 

2. I had a lot of trouble understanding how profile worked; 
consequently I think I installed a lot of versions of different 
packages, which took ages. 

After a while, I understood that 

- guix pull creates a new profile, but is not used by default: why? 
Similarly, guix kept telling me that I should do 

# GUIX_PROFILE="/home/matthieu/.guix-profile" 
# . "$GUIX_PROFILE/etc/profile" 

So my question is: shouldn't the default .bashrc uses the newest 
guix command from guix pull, and contain these lines above? 

- sudo guix system reconfigure /etc/config.scm is very different from 
sudo su; guix system reconfigure /etc/config.scm. 

This is written explicitly in the documentation, so that was clear, 
but I fell into the trap. 

- guix system reconfigure /etc/config.scm (without sudo) fails at a 
very late stage. Maybe this command should issue a warning when not 
run with root rights? 


3. At one time it seems that my entire user profile disappeared (maybe 
I shut down my laptop at a wrong time). I had to reinstall every 
package I had installed with guix package -i. 

4. I followed the initial exemple configuration of "A graphical system 
with a choice of lightweight window managers", but it did not contain 
any terminal emulator. 

5. I installed Icecat but I am missing some fonts: some websites do 
not display properly (e.g. numbers do not show up), even if I untick 
"do not load custom fonts" (unticking this improves things a bit). So 
I believe some more font package should be installed with icecat. 

6. I had issues with gdm and lightdm, so I installed the xinit package 
to start X sessions manually. But it seems that startx/xinit looks for 
a X server in the same path than the xinit binary, which won't work on 
guix. 

7. nm-applet fails with this warning Failed to add/activate connection: (1) Not authorized to control networking. 
I have to do sudo nm-applet to have it working (but it works well, wifi and wired) 

8. Is there an equivalent to apt-file, e.g. a way to know in which 
packages a file would be located? This would be very useful, for 
instance I had trouble finding where the latex executable is 
located, or ghc complaining about finding linux/errno.h when I 
wanted to install xmonad. The problem is even more important for 
guix, as in other systems the dependencies eventually show up in 
your profile (e.g. installing texlive-latex-beamer would install 
the latex binary), whereas in guix you have to explicitely install 
the right package in Guix. 

9. nm-applet cannot find the right icon sets, so it uses a "forbidden 
sign" icon everywhere (which is a bit scary). The error I get is 

failed to load icon "nm-stage03-connecting11": Icon 
'nm-stage03-connecting11' not present in theme Adwaita 

so I guess some icon are missing; I tried to install 
gnome-icon-theme with no luck. 

10. My latest problem happened when I tried to install slim (but the 
problem remains when I switch back to gdm or tried to use a previous 
system configuration, which surprised me). Now when I boot, I have a 
"gdm" user that was created and which attemps to log 505 times, which 
freezes my computer for 2 minutes (I I try to use it at the same 
times, it hangs). My work-around is to switch to the console and wait 
that all these unsuccessful connection stops, but this is not 
ideal... 

11. Before I found this work-around I tried to fix the problem by 
booting + chrooting from another OS, a solution I have often used to 
fix my OS but could not do on guix... Which scares me a bit because I 
fill that I have no easy way to fix my OS if it was broken. Is there 
an easy way to do that in guix? 

12. I also remember that the installer said something like "I will 
erase the whole disk and you would loose all your data", while I used 
the manual partitionning scheme and asked to format only one 
partition, and this was a bit scary. 

Wow, that was a long list. Obviously I did not write about everything 
that went well during the installation, so thanks for your hard work! 
By posting this, I just hope that it will help new users to have less 
problems to solve in the future! 

Thanks, 
Matthieu 


PS: here is my config.scm file 

;; This is an operating system configuration generated 
;; by the graphical installer. 

(use-modules (gnu)) 
(use-service-modules desktop networking ssh xorg) 
(use-modules (nongnu packages linux)) 
(use-modules (srfi srfi-1)) ; for remove 

(operating-system 
(locale "en_US.utf8") 
(timezone "Europe/Paris") 
(keyboard-layout 
(keyboard-layout "us" "altgr-intl")) 
(kernel linux) 
(firmware (cons* iwlwifi-firmware %base-firmware)) 
(bootloader 
(bootloader-configuration 
(bootloader grub-efi-bootloader) 
(target "/boot/efi") 
(keyboard-layout keyboard-layout))) 
(file-systems 
(cons* (file-system 
(mount-point "/") 
(device 
(uuid "7dd68b9b-26ba-47f7-aa82-3469060d2936" 
'ext4)) 
(type "ext4")) 
(file-system 
(mount-point "/boot/efi") 
(device (uuid "90D1-BAAF" 'fat32)) 
(type "vfat")) 
%base-file-systems)) 
(host-name "x1") 
(users (cons* (user-account 
(name "matthieu") 
(comment "Matthieu") 
(group "users") 
(home-directory "/home/matthieu") 
(supplementary-groups 
'("wheel" "netdev" "audio" "video"))) 
%base-user-accounts)) 
(packages 
(append 
(list (specification->package "xmonad") 
(specification->package "awesome") 
(specification->package "dmenu") 
(specification->package "tlsdate") ; for initial time adjustment 
(specification->package "nss-certs")) 
%base-packages)) 
(services 
(append 
(list (service openssh-service-type) 

(set-xorg-configuration 
(xorg-configuration 
(keyboard-layout keyboard-layout))) 

(service slim-service-type (slim-configuration 
(display ":0") 
(vt "vt6"))) 

) 

(remove (lambda (service) 
(eq? (service-kind service) gdm-service-type)) 


%desktop-services 

)))) 



--=_34f79af9-05f6-458b-8899-25bcababa60a
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><body><div style=3D"font-family: arial, helvetica, sans-serif; font-s=
ize: 12pt; color: #000000"><div>Hi Guix!<br><br>I have just installed (succ=
essfully?) my first guix system!<br><br>As a newcomer (I know system admini=
stration quite well, but never used<br>guix before) I thought that I could =
share my experience (i.e. issues I<br>had ;)) installing Guix. Probably som=
e of the issues are obvious once<br>you know Guix well, but they aren't whe=
n, like me, you don't. I hope<br>using this list for this post is not inapp=
ropriate.<br><br>I did not find any solution for some of the issues yet, so=
 I would<br>also welcome help on those! <br><br>So, here is the list of iss=
ues I had.<br><br>1. An easy one: on a new computer, you now have to desact=
ive this<br>secure boot thingy, else the live CD won't boot. As I understan=
d it<br>the guix live CD is not "signed", which was the reason why it did n=
ot<br>boot (while other live CDs did). This may sound obvious, except for<b=
r>people whose previous computer was still using the BIOS; so maybe it<br>w=
ould be worth writing this in the installation instructions?<br><br>2. I ha=
d a lot of trouble understanding how profile worked;<br>consequently I thin=
k I installed a lot of versions of different<br>packages, which took ages.<=
br><br>After a while, I understood that<br><br>&nbsp;- guix pull creates a =
new profile, but is not used by default: why?<br>&nbsp;&nbsp; Similarly, gu=
ix kept telling me that I should do<br><br># GUIX_PROFILE=3D"/home/matthieu=
/.guix-profile"<br># . "$GUIX_PROFILE/etc/profile"<br><br>&nbsp;&nbsp; So m=
y question is: shouldn't the default .bashrc uses the newest<br>&nbsp;&nbsp=
; guix command from guix pull, and contain these lines above?<br><br>&nbsp;=
- sudo guix system reconfigure /etc/config.scm is very different from<br>&n=
bsp;&nbsp; sudo su; guix system reconfigure /etc/config.scm.<br><br>&nbsp;&=
nbsp; This is written explicitly in the documentation, so that was clear,<b=
r>&nbsp;&nbsp; but I fell into the trap.<br><br>&nbsp;- guix system reconfi=
gure /etc/config.scm (without sudo) fails at a<br>&nbsp;&nbsp; very late st=
age. Maybe this command should issue a warning when not<br>&nbsp;&nbsp; run=
 with root rights?<br><br><br>3. At one time it seems that my entire user p=
rofile disappeared (maybe<br>I shut down my laptop at a wrong time). I had =
to reinstall every<br>package I had installed with guix package -i.<br><br>=
4. I followed the initial exemple configuration of "A graphical system<br>w=
ith a choice of lightweight window managers", but it did not contain<br>any=
 terminal emulator.<br><br>5. I installed Icecat but I am missing some font=
s: some websites do<br>not display properly (e.g. numbers do not show up), =
even if I untick<br>"do not load custom fonts" (unticking this improves thi=
ngs a bit). So<br>I believe some more font package should be installed with=
 icecat.<br><br>6. I had issues with gdm and lightdm, so I installed the xi=
nit package<br>to start X sessions manually. But it seems that startx/xinit=
 looks for<br>a X server in the same path than the xinit binary, which won'=
t work on<br>guix.<br><br>7. nm-applet fails with this warning Failed to ad=
d/activate connection: (1) Not authorized to control networking.<br>&nbsp;&=
nbsp; I have to do sudo nm-applet to have it working (but it works well, wi=
fi and wired)<br><br>8. Is there an equivalent to apt-file, e.g. a way to k=
now in which<br>&nbsp;&nbsp; packages a file would be located? This would b=
e very useful, for<br>&nbsp;&nbsp; instance I had trouble finding where the=
 latex executable is<br>&nbsp;&nbsp; located, or ghc complaining about find=
ing linux/errno.h when I<br>&nbsp;&nbsp; wanted to install xmonad. The prob=
lem is even more important for<br>&nbsp;&nbsp; guix, as in other systems th=
e dependencies eventually show up in<br>&nbsp;&nbsp; your profile (e.g. ins=
talling texlive-latex-beamer would install<br>&nbsp;&nbsp; the latex binary=
), whereas in guix you have to explicitely install<br>&nbsp;&nbsp; the righ=
t package in Guix.<br><br>9. nm-applet cannot find the right icon sets, so =
it uses a "forbidden<br>sign" icon everywhere (which is a bit scary). The e=
rror I get is<br><br>&nbsp;failed to load icon "nm-stage03-connecting11": I=
con<br>&nbsp;'nm-stage03-connecting11' not present in theme Adwaita<br><br>=
&nbsp; so I guess some icon are missing; I tried to install<br>&nbsp; gnome=
-icon-theme with no luck.<br><br>10. My latest problem happened when I trie=
d to install slim (but the<br>problem remains when I switch back to gdm or =
tried to use a previous<br>system configuration, which surprised me). Now w=
hen I boot, I have a<br>"gdm" user that was created and which attemps to lo=
g 505 times, which<br>freezes my computer for 2 minutes (I I try to use it =
at the same<br>times, it hangs). My work-around is to switch to the console=
 and wait<br>that all these unsuccessful connection stops, but this is not<=
br>ideal...<br><br>11. Before I found this work-around I tried to fix the p=
roblem by<br>booting + chrooting from another OS, a solution I have often u=
sed to<br>fix my OS but could not do on guix... Which scares me a bit becau=
se I<br>fill that I have no easy way to fix my OS if it was broken. Is ther=
e<br>an easy way to do that in guix?<br><br>12. I also remember that the in=
staller said something like "I will<br>erase the whole disk and you would l=
oose all your data", while I used<br>the manual partitionning scheme and as=
ked to format only one<br>partition, and this was a bit scary.<br><br>Wow, =
that was a long list. Obviously I did not write about everything<br>that we=
nt well during the installation, so thanks for your hard work!<br>By postin=
g this, I just hope that it will help new users to have less<br>problems to=
 solve in the future!<br><br>Thanks,<br>Matthieu<br data-mce-bogus=3D"1"></=
div><div><br data-mce-bogus=3D"1"></div><div><br data-mce-bogus=3D"1"></div=
><div>PS: here is my config.scm file<br data-mce-bogus=3D"1"></div><div><br=
 data-mce-bogus=3D"1"></div><div>;; This is an operating system configurati=
on generated<br>;; by the graphical installer.<br><br>(use-modules (gnu))<b=
r>(use-service-modules desktop networking ssh xorg)<br>(use-modules (nongnu=
 packages linux))<br>(use-modules (srfi srfi-1)) ; for remove<br><br>(opera=
ting-system<br>&nbsp; (locale "en_US.utf8")<br>&nbsp; (timezone "Europe/Par=
is")<br>&nbsp; (keyboard-layout<br>&nbsp;&nbsp;&nbsp; (keyboard-layout "us"=
 "altgr-intl"))<br>&nbsp; (kernel linux)<br>&nbsp; (firmware (cons* iwlwifi=
-firmware %base-firmware))<br>&nbsp; (bootloader<br>&nbsp;&nbsp;&nbsp; (boo=
tloader-configuration<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (bootloader grub-ef=
i-bootloader)<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (target "/boot/efi")<br>&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp; (keyboard-layout keyboard-layout)))<br>&nbsp; (=
file-systems<br>&nbsp;&nbsp;&nbsp; (cons* (file-system<br>&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (mount-point "/")<b=
r>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; =
(device<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp; (uuid "7dd68b9b-26ba-47f7-aa82-3469060d2936"<br>&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 'ext4))<br>&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (type "ext4"))<br>&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (file-system<br>&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (mount-p=
oint "/boot/efi")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp; (device (uuid "90D1-BAAF" 'fat32))<br>&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (type "vfat"))<br>&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; %base-file-syste=
ms))<br>&nbsp; (host-name "x1")<br>&nbsp; (users (cons* (user-account<br>&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp; (name "matthieu")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; =
(comment "Matthieu")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (group "users")<br>&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp; (home-directory "/home/matthieu")<br>&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp; (supplementary-groups<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp; '("wheel" "netdev" "audio" "video")))<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; %base-user-acc=
ounts))<br>&nbsp; (packages<br>&nbsp;&nbsp;&nbsp; (append<br>&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp; (list (specification-&gt;package "xmonad")<br>&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (specification-&gt;p=
ackage "awesome")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp; (specification-&gt;package "dmenu")<br>&nbsp;&nbsp;&nbsp; &nbs=
p;&nbsp;&nbsp; (specification-&gt;package "tlsdate") ; for initial time adj=
ustment<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p; (specification-&gt;package "nss-certs"))<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p; %base-packages))<br>&nbsp; (services<br>&nbsp;&nbsp;&nbsp; (append<br>&n=
bsp;&nbsp;&nbsp;&nbsp; (list (service openssh-service-type)<br><br>&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (set-xorg-configuratio=
n<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; (xorg-configuration<br>&nbsp;&nb=
sp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp; (keyboard-layout keyboard-layout)))<br><=
br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; (service slim-service-type (slim-c=
onfiguration<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &n=
bsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; (display ":0")<br>&nbsp;&nbsp;&nbsp; &n=
bsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; (=
vt "vt6")))<br><br>)<br><br>&nbsp;&nbsp;&nbsp;&nbsp; (remove (lambda (servi=
ce)<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (eq? (servic=
e-kind service) gdm-service-type))<br><br><br>&nbsp;&nbsp;&nbsp; &nbsp;&nbs=
p;&nbsp;&nbsp; %desktop-services<br><br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbs=
p; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ))))<br><br><br data-m=
ce-bogus=3D"1"></div></div></body></html>
--=_34f79af9-05f6-458b-8899-25bcababa60a--




Acknowledgement sent to racin@HIDDEN:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#36611; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 14 Jul 2019 14:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.